/*--------------------------------------------------------------------------
 *  Copyright 2008 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// XerialJ
//
// TextRetriever.java
// Since: Apr 24, 2008 11:35:22 PM
//
// $URL$
// $Author$
//--------------------------------------
package org.xerial.wiki;

import java.io.IOException;
import java.io.StringWriter;
import java.io.Writer;

/**
 * Retrieves text values from the wiki parse tree
 * 
 * @author leo
 * 
 */
public class TextRetriever implements WikiWriter
{
    private StringWriter writer = new StringWriter();

    public TextRetriever()
    {

    }

    public String getText()
    {
        return writer.toString();
    }

    public void adjustIndent(ListType listType, int targetLevel) throws WikiException
    {}

    public void beginAnchor(String name) throws WikiException
    {

    }

    public void beginBody() throws WikiException
    {

    }

    public void beginBold() throws WikiException
    {

    }

    public void beginImage(String href, String label) throws WikiException
    {
        writer.append(label);
    }

    public void beginItaric() throws WikiException
    {

    }

    public void beginItem(int level) throws WikiException
    {

    }

    public void beginLink(String ref, String target) throws WikiException
    {

    }

    public void beginOrderedList() throws WikiException
    {

    }

    public void beginParagraph() throws WikiException
    {

    }

    public void beginSection(int level) throws WikiException
    {

    }

    public void beginSectionTitle(int level) throws WikiException
    {

    }

    public void beginUnorderedList() throws WikiException
    {

    }

    public void beginVerbatim() throws WikiException
    {

    }

    public void endAnchor() throws WikiException
    {

    }

    public void endBody() throws WikiException
    {

    }

    public void endBold() throws WikiException
    {

    }

    public void endImage() throws WikiException
    {

    }

    public void endItaric() throws WikiException
    {

    }

    public void endItem() throws WikiException
    {

    }

    public void endLink() throws WikiException
    {

    }

    public void endOrderedList() throws WikiException
    {

    }

    public void endParagraph() throws WikiException
    {

    }

    public void endSection() throws WikiException
    {

    }

    public void endSectionTitle(int level) throws WikiException
    {

    }

    public void endUnorderedList() throws WikiException
    {

    }

    public void endVerbatim() throws WikiException
    {

    }

    public void newLine() throws WikiException
    {

    }

    public void render(Writer outputWriter) throws WikiException
    {
        try
        {
            outputWriter.append(this.writer.toString());
        }
        catch (IOException e)
        {
            throw new WikiException(WikiErrorCode.IOError, e.getMessage());
        }
    }

    public void resetIndent(int targetLevel) throws WikiException
    {

    }

    public void setTitle(String title) throws WikiException
    {
        writer.append(title);
    }

    public void text(String text) throws WikiException
    {
        writer.append(text);
    }

    public void rawText(String text) throws WikiException
    {
        writer.append(text);

    }

}
