/*--------------------------------------------------------------------------
 *  Copyright 2007 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// XerialJ
//
// WikiArray.java
// Since: Sep 16, 2007 11:47:28 AM
//
// $URL$
// $Author$
//--------------------------------------
package org.xerial.wiki;

import java.util.ArrayList;
import java.util.Iterator;

import org.xerial.json.JSONArray;
import org.xerial.json.JSONObject;
import org.xerial.json.JSONValue;

/**
 * Array representation of WikiValue
 * @author leo
 *
 */
public class WikiArray implements WikiValue, Iterable<WikiValue>
{
    private ArrayList<WikiValue> array = new ArrayList<WikiValue>(); 
    
    public WikiArray()
    {
        
    }
    
    public Iterator<WikiValue> iterator()
    {
        return array.iterator();
    }
    
    public WikiValue get(int index)
    {
        return array.get(index);
    }
    
    public int size()
    {
        return array.size();
    }
    
    public WikiArray isArray()
    {
        return this;
    }

    public WikiHash isHash()
    {
        return null;
    }

    public String isString()
    {
        return null;
    }

    public void add(WikiValue value)
    {
        array.add(value);
    }

    public JSONObject toJSON(String parameterName)
    {
        JSONObject json = new JSONObject();
        json.put(parameterName, toJSONValue());
        return null;
    }

    public JSONValue toJSONValue()
    {
        JSONArray jsonArray = new JSONArray();
        for(WikiValue v : this)
        {
            jsonArray.add(v.toJSONValue());
        }
        return jsonArray;
    }
    
    public String toString()
    {
        return array.toString();
    }



}
