/*--------------------------------------------------------------------------
 *  Copyright 2008 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// XerialJ
//
// WikiBlock.java
// Since: Apr 23, 2008 1:35:19 AM
//
// $URL$
// $Author$
//--------------------------------------
package org.xerial.wiki;

import java.util.ArrayList;
import java.util.List;

/**
 * Block type
 * 
 * @author leo
 *
 */
public class WikiBlock implements WikiElement
{
    public ArrayList<WikiElement> elementList = new ArrayList<WikiElement>();

    public WikiBlock()
    {
        
    }
    
    public void addFunction(WikiFunction function)
    {
        elementList.add(function);
    }

    public void addText(String text)
    {
        elementList.add(new WikiText(text));
    }
    
    public List<WikiElement> getWikiElementList()
    {
        return elementList;
    }
    
    public WikiElementType getType()
    {
        return WikiElementType.WikiBlock;
    }

}
