/*--------------------------------------------------------------------------
 *  Copyright 2007 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// XerialJ
//
// WikiContext.java
// Since: Sep 15, 2007 4:48:58 PM
//
// $URL$
// $Author$
//--------------------------------------
package org.xerial.wiki;

/**
 * WikiContext is passed to every plug-in so as to tell the information of
 * currently evaluated Wiki. The WikiContext includes:
 * 
 * <li>wiki source
 * <li>current line position
 * <li>character position in the current line
 * <li>current wiki node
 * 
 * @author leo
 * 
 */
public interface WikiContext
{

    /**
     * Gets the current line position
     * 
     * @return
     */
    //int getLine();
    /**
     * Gets the character position in the current line
     * 
     * @return
     */
    //int getCharPositionInLine();
    /**
     * Gets the current context {@link WikiNode}
     * 
     * @return the current WikiNode
     */
    WikiElement getCurrentWikiElement();

    /**
     * Gets the parent of the current context node
     * 
     * @return
     */
    WikiElement getParentWikiElement();

    /**
     * @return
     */
    boolean isInVerbatimBlock();

    /**
     * @param isInVerbatim
     */
    void setVerbatimBlock(boolean isInVerbatim);

    WikiContext transitContext(WikiElement parent, WikiElement current);

}
