/*--------------------------------------------------------------------------
 *  Copyright 2007 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// XerialJ
//
// WikiNode.java
// Since: Sep 15, 2007 4:52:38 PM
//
// $URL$
// $Author$
//--------------------------------------
package org.xerial.wiki;

import org.antlr.runtime.tree.Tree;

/**
 * ParseTree node of the wiki
 * @author leo
 *
 */
public class WikiNode   
{
    private final Tree tree;
    
    public WikiNode(Tree tree)
    {
        this.tree = tree;
    }
    
    public WikiNode getChild(int childIndex)
    {
        return new WikiNode(tree.getChild(childIndex));
    }
    
    public int numChildren()
    {
        return tree.getChildCount();
    }

    public int getLine()
    {
        return tree.getLine();
    }
    
    public int getCharPositionInLine()
    {
        return tree.getCharPositionInLine();
    }
    
    public String getText()
    {
        return tree.getText();
    }
    
    public WikiNodeType getNodeType()
    {
        return WikiNodeType.trasnlate(tree.getType());
    }
    
}
