/*--------------------------------------------------------------------------
 *  Copyright 2007 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// XerialJ
//
// WikiNodeType.java
// Since: Sep 16, 2007 2:04:58 PM
//
// $URL$
// $Author$
//--------------------------------------
package org.xerial.wiki;

import java.util.HashMap;

import org.xerial.wiki.impl.WikiParser;

/**
 * Token types used in WikiParser
 * 
 * @author leo
 * 
 */
public enum WikiNodeType {
    Wiki, WikiLine, WikiBlock, Text, Function, Path, Array, Hash, Assignment, BlankLine, XMLElement;

    private static HashMap<Integer, WikiNodeType> wikiNodeTypeTable = new HashMap<Integer, WikiNodeType>();

    static
    {
        wikiNodeTypeTable.put(WikiParser.Wiki, Wiki);
        wikiNodeTypeTable.put(WikiParser.WikiLine, WikiLine);
        wikiNodeTypeTable.put(WikiParser.Text, Text);
        wikiNodeTypeTable.put(WikiParser.Function, Function);
        wikiNodeTypeTable.put(WikiParser.Path, Path);
        wikiNodeTypeTable.put(WikiParser.Array, Array);
        wikiNodeTypeTable.put(WikiParser.Hash, Hash);
        //wikiNodeTypeTable.put(WikiParser.BlankLine, BlankLine);
        wikiNodeTypeTable.put(WikiParser.XMLElement, XMLElement);
    }

    public static WikiNodeType trasnlate(int wikiParserTokenType)
    {
        if (wikiNodeTypeTable.containsKey(wikiParserTokenType))
            return wikiNodeTypeTable.get(wikiParserTokenType);
        else
            throw new UnsupportedOperationException("unknown token type:" + wikiParserTokenType);
    }

}
