/*--------------------------------------------------------------------------
 *  Copyright 2007 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// XerialJ
//
// WikiPlugin.java
// Since: Sep 15, 2007 4:23:44 PM
//
// $URL$
// $Author$
//--------------------------------------
package org.xerial.wiki;

/**
 * Wiki Plugin (function) interface
 * 
 * @author leo
 * 
 */
public interface WikiPlugin
{
    /**
     * Evaluates the function call and output the result to the given
     * {@link WikiWriter}
     * 
     * @param args
     *            plugin arguments
     * 
     * @param context
     *            current context
     * @param writer
     *            writer
     * 
     * @throws WikiException
     */
    void eval(String[] args, WikiContext context, WikiWriter writer) throws WikiException;

}
