/*--------------------------------------------------------------------------
 *  Copyright 2007 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// XerialJ
//
// WikiString.java
// Since: Sep 16, 2007 11:44:49 AM
//
// $URL$
// $Author$
//--------------------------------------
package org.xerial.wiki;

import java.util.HashMap;
import java.util.List;

import org.xerial.json.JSONObject;
import org.xerial.json.JSONString;
import org.xerial.json.JSONValue;

/**
 * String argument
 * @author leo
 *
 */
public class WikiString implements WikiValue
{
    private final String value;
    
    public WikiString(String value)
    {
        this.value = value;
    }

    public String getValue()
    {
        return value;
    }
    
    public WikiArray isArray()
    {
        return null;
    }

    public WikiHash isHash()
    {
        return null;
    }

    public String isString()
    {
        return value;
    }

    public JSONObject toJSON(String parameterName)
    {
        JSONObject json = new JSONObject();
        json.put(parameterName, toJSONValue());
        return json;
    }
    
    public JSONValue toJSONValue()
    {
        return new JSONString(value);
    }
    
    public String toString()
    {
        return value;
    }

}
