/*--------------------------------------------------------------------------
 *  Copyright 2008 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// XerialJ
//
// WikiXMLElement.java
// Since: Apr 22, 2008 12:00:42 PM
//
// $URL: https://www.xerial.org/svn/project/XerialJ/trunk/xerial-wiki/src/main/java/org/xerial/wiki/WikiXMLElement.java $
// $Author: leo $
//--------------------------------------
package org.xerial.wiki;

import java.util.ArrayList;
import java.util.TreeMap;

/**
 * XML element in the wiki text
 * 
 * @author leo
 * 
 */
public class WikiXMLElement
{
    private String name;
    private TreeMap<String, String> attributeTable = new TreeMap<String, String>();
    private ArrayList<String> textContent = new ArrayList<String>();
    private ArrayList<WikiXMLElement> childXMLElement = new ArrayList<WikiXMLElement>();

    public WikiXMLElement()
    {

    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public void putXMLAttribute(String name, String value)
    {
        attributeTable.put(name, value);
    }

    public void addText(String text)
    {
        textContent.add(text);
    }

    public void addXMLElement(WikiXMLElement xmlElement)
    {
        childXMLElement.add(xmlElement);
    }
}
