/*--------------------------------------------------------------------------
 *  Copyright 2007 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// XerialJ
//
// HTMLAttribute.java
// Since: Sep 16, 2007 1:16:11 PM
//
// $URL$
// $Author$
//--------------------------------------
package org.xerial.wiki.html;

import java.util.ArrayList;
import java.util.HashMap;

public class HTMLAttribute
{
    private HashMap<String, String> attribute = new HashMap<String, String>();

    public HTMLAttribute()
    {}

    public HTMLAttribute add(String attributeName, Object attributeValue)
    {
        attribute.put(attributeName, attributeValue != null ? attributeValue.toString() : "");
        return this;
    }

    public void toHTML(StringBuilder out)
    {
        ArrayList<String> attributeStringList = new ArrayList<String>();
        for (String key : attribute.keySet())
        {
            attributeStringList.add(key + "=\"" + attribute.get(key) + "\"");
        }

        if (attributeStringList.size() > 0)
        {
            out.append(attributeStringList.get(0));
            for (int index = 1; index < attributeStringList.size(); index++)
            {
                out.append(" ");
                out.append(attributeStringList.get(index));
            }
        }
    }

    public int size()
    {
        return attribute.size();
    }

    public String toString()
    {
        StringBuilder builder = new StringBuilder();
        toHTML(builder);
        return builder.toString();
    }
}
