tree grammar WikiWalker;
options {
	tokenVocab=Wiki;
	ASTLabelType = Tree;
	output = template;
	rewrite=true;
}

@header
{
/*--------------------------------------------------------------------------
 *  Copyright 2007 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------------------
// xerial-wiki project
// 
// WikiWalker.java
// Since  2007/09/08 23:17:42
// 
//--------------------------------------------------
package org.xerial.wiki.impl;
}

@members
{
	private StringBuilder builder = new StringBuilder();


}

wiki
	: ^(Wiki wikiExpr*)
	;

wikiExpr
	: wikiLine
	| wikiBlock  
	;

wikiLine
	: ^(WikiLine wikiText*)
	;

wikiText
	: Text
	| HyperLink
	| PreservedBlock
	| WikiLink
	;
 
wikiLink
	: ^(WikiLink Word)
	;
	
wikiBlock
	: ^(WikiBlock wikiText*)
	;	


function
	: ^(Function argExpr*)
	;
	
argExpr
	: String
	| ^(Array argExpr*)
	| ^(Hash hashEntry*)
	| Path
	| function
	;
	
hashEntry
	: ^(AssignTo argExpr)
	;
	
					