/*--------------------------------------------------------------------------
 *  Copyright 2007 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------
// XerialJ
//
// WikiLinkPlugin.java
// Since: Sep 17, 2007 12:17:09 AM
//
// $URL$
// $Author$
//--------------------------------------
package org.xerial.wiki.plugin;

import org.xerial.wiki.WikiContext;
import org.xerial.wiki.WikiException;
import org.xerial.wiki.WikiPlugin;
import org.xerial.wiki.WikiWriter;

/**
 * Generates wiki link
 * 
 * @author leo
 * 
 */
public class WikiLinkPlugin implements WikiPlugin
{
    private String wikiName = null;
    private String label = null;

    public void eval(String[] args, WikiContext context, WikiWriter writer) throws WikiException
    {
        writer.beginLink("./" + wikiName, null);
        if (label != null)
            writer.text(label);
        else
            writer.text(wikiName);
        writer.endLink();
    }

    public String getWikiName()
    {
        return wikiName;
    }

    public void setWikiName(String wikiName)
    {
        this.wikiName = wikiName;
    }

    public String getLabel()
    {
        return label;
    }

    public void setLabel(String label)
    {
        this.label = label;
    }

}
