// $ANTLR 3.0.1 F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g 2008-04-25 20:00:03

/*--------------------------------------------------------------------------
 *  Copyright 2007 Taro L. Saito
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *--------------------------------------------------------------------------*/
//--------------------------------------------------
// xerial-wiki project
// 
// WikiLexer.java
// Since  2007/09/08 23:17:42
// 
//--------------------------------------------------

package org.xerial.wiki.impl;

import java.util.Iterator;
import java.util.HashMap;
import java.util.Properties;
import org.xerial.util.FileResource;
import org.xerial.util.log.Logger;
import java.io.IOException;
import java.net.URL;


import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.util.HashMap;
public class WikiLexer extends Lexer {
    public static final int Key=13;
    public static final int T79=79;
    public static final int URLQueryChar=68;
    public static final int RBrace=56;
    public static final int LBracket=53;
    public static final int Digit=26;
    public static final int Frac=33;
    public static final int HexDigit=27;
    public static final int Text=7;
    public static final int Symbol=65;
    public static final int URLChar=67;
    public static final int UpperLetter=23;
    public static final int WikiLine=5;
    public static final int Array=16;
    public static final int O1=44;
    public static final int XMLAttribute=19;
    public static final int Argument=12;
    public static final int WikiBlockSymbol=66;
    public static final int NEWLINE=21;
    public static final int Word=75;
    public static final int Letter=25;
    public static final int Comma=61;
    public static final int H3=40;
    public static final int Assignment=11;
    public static final int O3=46;
    public static final int Dot=32;
    public static final int EscapeSequence=29;
    public static final int Slash=59;
    public static final int T77=77;
    public static final int FunctionName=74;
    public static final int ML_COMMENT=20;
    public static final int WhiteSpace=35;
    public static final int XMLElement=18;
    public static final int Path=8;
    public static final int Wiki=4;
    public static final int H1=38;
    public static final int Colon=62;
    public static final int H2=39;
    public static final int At=60;
    public static final int PreText=76;
    public static final int Hash=17;
    public static final int LowerLetter=24;
    public static final int NameChar=47;
    public static final int InternetLink=72;
    public static final int T78=78;
    public static final int Star=64;
    public static final int I3=43;
    public static final int Eq=63;
    public static final int Exp=34;
    public static final int Int=31;
    public static final int CloseTagBegin=69;
    public static final int I1=41;
    public static final int Gt=58;
    public static final int RParen=52;
    public static final int UnicodeChar=28;
    public static final int StringLiteral=49;
    public static final int StringChar=30;
    public static final int LINE_COMMENT=22;
    public static final int LineBreak=37;
    public static final int Function=9;
    public static final int Name=10;
    public static final int O2=45;
    public static final int LParen=51;
    public static final int T80=80;
    public static final int String=15;
    public static final int StringCharacters=48;
    public static final int FunctionID=73;
    public static final int WikiNameUnit=70;
    public static final int WikiName=71;
    public static final int EOF=-1;
    public static final int Tokens=81;
    public static final int Value=14;
    public static final int LBrace=55;
    public static final int WikiBlock=6;
    public static final int RBracket=54;
    public static final int Lt=57;
    public static final int I2=42;
    public static final int ProtocolPrefix=50;
    public static final int WhiteSpaces=36;
    
      	private static HashMap<Integer, String> tokenTable = new HashMap<Integer, String>();
      	private static Logger _logger = Logger.getLogger(WikiLexer.class);
      	static
      	{
      		Properties p = new Properties();
      		try
            {
       		    URL wikiTokenFileURL = FileResource.find(WikiLexer.class, "Wiki.tokens");
       		    p.load(wikiTokenFileURL.openStream());
    
                 for(Iterator it = p.keySet().iterator(); it.hasNext(); )
                 {
    				String tokenName = (String) it.next();
       	            int tokenType = Integer.parseInt(p.get(tokenName).toString());
                    tokenTable.put(tokenType, tokenName);
                 }
            }
            catch (IOException e)
            {
               _logger.error(e);
            }
      	}
      	public static String getTokenName(int tokenType)
       	{
       		return tokenTable.containsKey(tokenType) ? tokenTable.get(tokenType) : "UNKNOWN";
       	}

    public WikiLexer() {;} 
    public WikiLexer(CharStream input) {
        super(input);
        ruleMemo = new HashMap[68+1];
     }
    public String getGrammarFileName() { return "F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g"; }

    // $ANTLR start T77
    public final void mT77() throws RecognitionException {
        try {
            int _type = T77;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:69:5: ( '{b|' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:69:7: '{b|'
            {
            match("{b|"); if (failed) return ;


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T77

    // $ANTLR start T78
    public final void mT78() throws RecognitionException {
        try {
            int _type = T78;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:70:5: ( '{i|' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:70:7: '{i|'
            {
            match("{i|"); if (failed) return ;


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T78

    // $ANTLR start T79
    public final void mT79() throws RecognitionException {
        try {
            int _type = T79;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:71:5: ( '\"' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:71:7: '\"'
            {
            match('\"'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T79

    // $ANTLR start T80
    public final void mT80() throws RecognitionException {
        try {
            int _type = T80;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:72:5: ( '!' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:72:7: '!'
            {
            match('!'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T80

    // $ANTLR start ML_COMMENT
    public final void mML_COMMENT() throws RecognitionException {
        try {
            int _type = ML_COMMENT;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:153:2: ( '/*' ( options {greedy=false; } : . )* '*/' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:153:6: '/*' ( options {greedy=false; } : . )* '*/'
            {
            match("/*"); if (failed) return ;

            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:153:11: ( options {greedy=false; } : . )*
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0=='*') ) {
                    int LA1_1 = input.LA(2);

                    if ( (LA1_1=='/') ) {
                        alt1=2;
                    }
                    else if ( ((LA1_1>='\u0000' && LA1_1<='.')||(LA1_1>='0' && LA1_1<='\uFFFE')) ) {
                        alt1=1;
                    }


                }
                else if ( ((LA1_0>='\u0000' && LA1_0<=')')||(LA1_0>='+' && LA1_0<='\uFFFE')) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:153:38: .
            	    {
            	    matchAny(); if (failed) return ;

            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);

            match("*/"); if (failed) return ;

            if ( backtracking==0 ) {
               channel=HIDDEN; 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end ML_COMMENT

    // $ANTLR start LINE_COMMENT
    public final void mLINE_COMMENT() throws RecognitionException {
        try {
            int _type = LINE_COMMENT;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:157:5: ({...}? => '//' (~ ( '\\n' | '\\r' ) )* NEWLINE )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:157:7: {...}? => '//' (~ ( '\\n' | '\\r' ) )* NEWLINE
            {
            if ( !(getCharPositionInLine()==0) ) {
                if (backtracking>0) {failed=true; return ;}
                throw new FailedPredicateException(input, "LINE_COMMENT", "getCharPositionInLine()==0");
            }
            match("//"); if (failed) return ;

            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:157:45: (~ ( '\\n' | '\\r' ) )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( ((LA2_0>='\u0000' && LA2_0<='\t')||(LA2_0>='\u000B' && LA2_0<='\f')||(LA2_0>='\u000E' && LA2_0<='\uFFFE')) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:157:45: ~ ( '\\n' | '\\r' )
            	    {
            	    if ( (input.LA(1)>='\u0000' && input.LA(1)<='\t')||(input.LA(1)>='\u000B' && input.LA(1)<='\f')||(input.LA(1)>='\u000E' && input.LA(1)<='\uFFFE') ) {
            	        input.consume();
            	    failed=false;
            	    }
            	    else {
            	        if (backtracking>0) {failed=true; return ;}
            	        MismatchedSetException mse =
            	            new MismatchedSetException(null,input);
            	        recover(mse);    throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);

            mNEWLINE(); if (failed) return ;
            if ( backtracking==0 ) {
               channel=HIDDEN; 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end LINE_COMMENT

    // $ANTLR start NEWLINE
    public final void mNEWLINE() throws RecognitionException {
        try {
            int _type = NEWLINE;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:161:2: ( ( '\\r' )? '\\n' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:161:4: ( '\\r' )? '\\n'
            {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:161:4: ( '\\r' )?
            int alt3=2;
            int LA3_0 = input.LA(1);

            if ( (LA3_0=='\r') ) {
                alt3=1;
            }
            switch (alt3) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:161:4: '\\r'
                    {
                    match('\r'); if (failed) return ;

                    }
                    break;

            }

            match('\n'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end NEWLINE

    // $ANTLR start UpperLetter
    public final void mUpperLetter() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:165:22: ( 'A' .. 'Z' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:165:24: 'A' .. 'Z'
            {
            matchRange('A','Z'); if (failed) return ;

            }

        }
        finally {
        }
    }
    // $ANTLR end UpperLetter

    // $ANTLR start LowerLetter
    public final void mLowerLetter() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:166:21: ( 'a' .. 'z' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:166:23: 'a' .. 'z'
            {
            matchRange('a','z'); if (failed) return ;

            }

        }
        finally {
        }
    }
    // $ANTLR end LowerLetter

    // $ANTLR start Letter
    public final void mLetter() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:167:17: ( UpperLetter | LowerLetter )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:
            {
            if ( (input.LA(1)>='A' && input.LA(1)<='Z')||(input.LA(1)>='a' && input.LA(1)<='z') ) {
                input.consume();
            failed=false;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }


            }

        }
        finally {
        }
    }
    // $ANTLR end Letter

    // $ANTLR start Digit
    public final void mDigit() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:168:15: ( '0' .. '9' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:168:17: '0' .. '9'
            {
            matchRange('0','9'); if (failed) return ;

            }

        }
        finally {
        }
    }
    // $ANTLR end Digit

    // $ANTLR start HexDigit
    public final void mHexDigit() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:169:18: ( ( '0' .. '9' | 'A' .. 'F' | 'a' .. 'f' ) )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:169:20: ( '0' .. '9' | 'A' .. 'F' | 'a' .. 'f' )
            {
            if ( (input.LA(1)>='0' && input.LA(1)<='9')||(input.LA(1)>='A' && input.LA(1)<='F')||(input.LA(1)>='a' && input.LA(1)<='f') ) {
                input.consume();
            failed=false;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }


            }

        }
        finally {
        }
    }
    // $ANTLR end HexDigit

    // $ANTLR start UnicodeChar
    public final void mUnicodeChar() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:170:21: (~ ( '\"' | '\\\\' ) )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:170:23: ~ ( '\"' | '\\\\' )
            {
            if ( (input.LA(1)>='\u0000' && input.LA(1)<='!')||(input.LA(1)>='#' && input.LA(1)<='[')||(input.LA(1)>=']' && input.LA(1)<='\uFFFE') ) {
                input.consume();
            failed=false;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }


            }

        }
        finally {
        }
    }
    // $ANTLR end UnicodeChar

    // $ANTLR start StringChar
    public final void mStringChar() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:171:21: ( UnicodeChar | EscapeSequence )
            int alt4=2;
            int LA4_0 = input.LA(1);

            if ( ((LA4_0>='\u0000' && LA4_0<='!')||(LA4_0>='#' && LA4_0<='[')||(LA4_0>=']' && LA4_0<='\uFFFE')) ) {
                alt4=1;
            }
            else if ( (LA4_0=='\\') ) {
                alt4=2;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                NoViableAltException nvae =
                    new NoViableAltException("171:10: fragment StringChar : ( UnicodeChar | EscapeSequence );", 4, 0, input);

                throw nvae;
            }
            switch (alt4) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:171:24: UnicodeChar
                    {
                    mUnicodeChar(); if (failed) return ;

                    }
                    break;
                case 2 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:171:38: EscapeSequence
                    {
                    mEscapeSequence(); if (failed) return ;

                    }
                    break;

            }
        }
        finally {
        }
    }
    // $ANTLR end StringChar

    // $ANTLR start EscapeSequence
    public final void mEscapeSequence() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:2: ( '\\\\' ( '\\\"' | '\\\\' | '/' | 'b' | 'f' | 'n' | 'r' | 't' | 'u' HexDigit HexDigit HexDigit HexDigit ) )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:4: '\\\\' ( '\\\"' | '\\\\' | '/' | 'b' | 'f' | 'n' | 'r' | 't' | 'u' HexDigit HexDigit HexDigit HexDigit )
            {
            match('\\'); if (failed) return ;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:9: ( '\\\"' | '\\\\' | '/' | 'b' | 'f' | 'n' | 'r' | 't' | 'u' HexDigit HexDigit HexDigit HexDigit )
            int alt5=9;
            switch ( input.LA(1) ) {
            case '\"':
                {
                alt5=1;
                }
                break;
            case '\\':
                {
                alt5=2;
                }
                break;
            case '/':
                {
                alt5=3;
                }
                break;
            case 'b':
                {
                alt5=4;
                }
                break;
            case 'f':
                {
                alt5=5;
                }
                break;
            case 'n':
                {
                alt5=6;
                }
                break;
            case 'r':
                {
                alt5=7;
                }
                break;
            case 't':
                {
                alt5=8;
                }
                break;
            case 'u':
                {
                alt5=9;
                }
                break;
            default:
                if (backtracking>0) {failed=true; return ;}
                NoViableAltException nvae =
                    new NoViableAltException("174:9: ( '\\\"' | '\\\\' | '/' | 'b' | 'f' | 'n' | 'r' | 't' | 'u' HexDigit HexDigit HexDigit HexDigit )", 5, 0, input);

                throw nvae;
            }

            switch (alt5) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:10: '\\\"'
                    {
                    match('\"'); if (failed) return ;

                    }
                    break;
                case 2 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:17: '\\\\'
                    {
                    match('\\'); if (failed) return ;

                    }
                    break;
                case 3 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:24: '/'
                    {
                    match('/'); if (failed) return ;

                    }
                    break;
                case 4 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:30: 'b'
                    {
                    match('b'); if (failed) return ;

                    }
                    break;
                case 5 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:36: 'f'
                    {
                    match('f'); if (failed) return ;

                    }
                    break;
                case 6 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:42: 'n'
                    {
                    match('n'); if (failed) return ;

                    }
                    break;
                case 7 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:48: 'r'
                    {
                    match('r'); if (failed) return ;

                    }
                    break;
                case 8 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:54: 't'
                    {
                    match('t'); if (failed) return ;

                    }
                    break;
                case 9 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:174:60: 'u' HexDigit HexDigit HexDigit HexDigit
                    {
                    match('u'); if (failed) return ;
                    mHexDigit(); if (failed) return ;
                    mHexDigit(); if (failed) return ;
                    mHexDigit(); if (failed) return ;
                    mHexDigit(); if (failed) return ;

                    }
                    break;

            }


            }

        }
        finally {
        }
    }
    // $ANTLR end EscapeSequence

    // $ANTLR start Int
    public final void mInt() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:178:13: ( ( '-' )? ( '0' | '1' .. '9' ( Digit )* ) )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:178:15: ( '-' )? ( '0' | '1' .. '9' ( Digit )* )
            {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:178:15: ( '-' )?
            int alt6=2;
            int LA6_0 = input.LA(1);

            if ( (LA6_0=='-') ) {
                alt6=1;
            }
            switch (alt6) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:178:15: '-'
                    {
                    match('-'); if (failed) return ;

                    }
                    break;

            }

            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:178:20: ( '0' | '1' .. '9' ( Digit )* )
            int alt8=2;
            int LA8_0 = input.LA(1);

            if ( (LA8_0=='0') ) {
                alt8=1;
            }
            else if ( ((LA8_0>='1' && LA8_0<='9')) ) {
                alt8=2;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                NoViableAltException nvae =
                    new NoViableAltException("178:20: ( '0' | '1' .. '9' ( Digit )* )", 8, 0, input);

                throw nvae;
            }
            switch (alt8) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:178:21: '0'
                    {
                    match('0'); if (failed) return ;

                    }
                    break;
                case 2 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:178:27: '1' .. '9' ( Digit )*
                    {
                    matchRange('1','9'); if (failed) return ;
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:178:36: ( Digit )*
                    loop7:
                    do {
                        int alt7=2;
                        int LA7_0 = input.LA(1);

                        if ( ((LA7_0>='0' && LA7_0<='9')) ) {
                            alt7=1;
                        }


                        switch (alt7) {
                    	case 1 :
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:178:36: Digit
                    	    {
                    	    mDigit(); if (failed) return ;

                    	    }
                    	    break;

                    	default :
                    	    break loop7;
                        }
                    } while (true);


                    }
                    break;

            }


            }

        }
        finally {
        }
    }
    // $ANTLR end Int

    // $ANTLR start Frac
    public final void mFrac() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:179:14: ( Dot ( Digit )+ )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:179:16: Dot ( Digit )+
            {
            mDot(); if (failed) return ;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:179:20: ( Digit )+
            int cnt9=0;
            loop9:
            do {
                int alt9=2;
                int LA9_0 = input.LA(1);

                if ( ((LA9_0>='0' && LA9_0<='9')) ) {
                    alt9=1;
                }


                switch (alt9) {
            	case 1 :
            	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:179:20: Digit
            	    {
            	    mDigit(); if (failed) return ;

            	    }
            	    break;

            	default :
            	    if ( cnt9 >= 1 ) break loop9;
            	    if (backtracking>0) {failed=true; return ;}
                        EarlyExitException eee =
                            new EarlyExitException(9, input);
                        throw eee;
                }
                cnt9++;
            } while (true);


            }

        }
        finally {
        }
    }
    // $ANTLR end Frac

    // $ANTLR start Exp
    public final void mExp() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:180:13: ( ( 'e' | 'E' ) ( '+' | '-' )? ( Digit )+ )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:180:15: ( 'e' | 'E' ) ( '+' | '-' )? ( Digit )+
            {
            if ( input.LA(1)=='E'||input.LA(1)=='e' ) {
                input.consume();
            failed=false;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }

            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:180:27: ( '+' | '-' )?
            int alt10=2;
            int LA10_0 = input.LA(1);

            if ( (LA10_0=='+'||LA10_0=='-') ) {
                alt10=1;
            }
            switch (alt10) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:
                    {
                    if ( input.LA(1)=='+'||input.LA(1)=='-' ) {
                        input.consume();
                    failed=false;
                    }
                    else {
                        if (backtracking>0) {failed=true; return ;}
                        MismatchedSetException mse =
                            new MismatchedSetException(null,input);
                        recover(mse);    throw mse;
                    }


                    }
                    break;

            }

            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:180:40: ( Digit )+
            int cnt11=0;
            loop11:
            do {
                int alt11=2;
                int LA11_0 = input.LA(1);

                if ( ((LA11_0>='0' && LA11_0<='9')) ) {
                    alt11=1;
                }


                switch (alt11) {
            	case 1 :
            	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:180:40: Digit
            	    {
            	    mDigit(); if (failed) return ;

            	    }
            	    break;

            	default :
            	    if ( cnt11 >= 1 ) break loop11;
            	    if (backtracking>0) {failed=true; return ;}
                        EarlyExitException eee =
                            new EarlyExitException(11, input);
                        throw eee;
                }
                cnt11++;
            } while (true);


            }

        }
        finally {
        }
    }
    // $ANTLR end Exp

    // $ANTLR start WhiteSpace
    public final void mWhiteSpace() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:182:20: ( ( ' ' | '\\t' | '\\u000C' ) )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:182:22: ( ' ' | '\\t' | '\\u000C' )
            {
            if ( input.LA(1)=='\t'||input.LA(1)=='\f'||input.LA(1)==' ' ) {
                input.consume();
            failed=false;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }


            }

        }
        finally {
        }
    }
    // $ANTLR end WhiteSpace

    // $ANTLR start LineBreak
    public final void mLineBreak() throws RecognitionException {
        try {
            int _type = LineBreak;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:184:10: ( '<BR>' ( ( WhiteSpaces )* NEWLINE )? )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:184:12: '<BR>' ( ( WhiteSpaces )* NEWLINE )?
            {
            match("<BR>"); if (failed) return ;

            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:184:19: ( ( WhiteSpaces )* NEWLINE )?
            int alt13=2;
            int LA13_0 = input.LA(1);

            if ( ((LA13_0>='\t' && LA13_0<='\n')||(LA13_0>='\f' && LA13_0<='\r')||LA13_0==' ') ) {
                alt13=1;
            }
            switch (alt13) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:184:20: ( WhiteSpaces )* NEWLINE
                    {
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:184:20: ( WhiteSpaces )*
                    loop12:
                    do {
                        int alt12=2;
                        int LA12_0 = input.LA(1);

                        if ( (LA12_0=='\t'||LA12_0=='\f'||LA12_0==' ') ) {
                            alt12=1;
                        }


                        switch (alt12) {
                    	case 1 :
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:184:20: WhiteSpaces
                    	    {
                    	    mWhiteSpaces(); if (failed) return ;

                    	    }
                    	    break;

                    	default :
                    	    break loop12;
                        }
                    } while (true);

                    mNEWLINE(); if (failed) return ;

                    }
                    break;

            }


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end LineBreak

    // $ANTLR start WhiteSpaces
    public final void mWhiteSpaces() throws RecognitionException {
        try {
            int _type = WhiteSpaces;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:188:12: ( ( WhiteSpace )+ )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:188:14: ( WhiteSpace )+
            {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:188:14: ( WhiteSpace )+
            int cnt14=0;
            loop14:
            do {
                int alt14=2;
                int LA14_0 = input.LA(1);

                if ( (LA14_0=='\t'||LA14_0=='\f'||LA14_0==' ') ) {
                    alt14=1;
                }


                switch (alt14) {
            	case 1 :
            	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:188:14: WhiteSpace
            	    {
            	    mWhiteSpace(); if (failed) return ;

            	    }
            	    break;

            	default :
            	    if ( cnt14 >= 1 ) break loop14;
            	    if (backtracking>0) {failed=true; return ;}
                        EarlyExitException eee =
                            new EarlyExitException(14, input);
                        throw eee;
                }
                cnt14++;
            } while (true);


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end WhiteSpaces

    // $ANTLR start H1
    public final void mH1() throws RecognitionException {
        try {
            int _type = H1;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:190:3: ({...}? => '=' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:190:5: {...}? => '='
            {
            if ( !(getCharPositionInLine()==0) ) {
                if (backtracking>0) {failed=true; return ;}
                throw new FailedPredicateException(input, "H1", "getCharPositionInLine()==0");
            }
            match('='); if (failed) return ;
            if ( backtracking==0 ) {
               setText("H1"); 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end H1

    // $ANTLR start H2
    public final void mH2() throws RecognitionException {
        try {
            int _type = H2;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:191:3: ({...}? => '==' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:191:5: {...}? => '=='
            {
            if ( !(getCharPositionInLine()==0) ) {
                if (backtracking>0) {failed=true; return ;}
                throw new FailedPredicateException(input, "H2", "getCharPositionInLine()==0");
            }
            match("=="); if (failed) return ;

            if ( backtracking==0 ) {
               setText("H2"); 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end H2

    // $ANTLR start H3
    public final void mH3() throws RecognitionException {
        try {
            int _type = H3;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:192:3: ({...}? => '===' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:192:5: {...}? => '==='
            {
            if ( !(getCharPositionInLine()==0) ) {
                if (backtracking>0) {failed=true; return ;}
                throw new FailedPredicateException(input, "H3", "getCharPositionInLine()==0");
            }
            match("==="); if (failed) return ;

            if ( backtracking==0 ) {
               setText("H3"); 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end H3

    // $ANTLR start I1
    public final void mI1() throws RecognitionException {
        try {
            int _type = I1;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:194:3: ({...}? => '*' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:194:5: {...}? => '*'
            {
            if ( !(getCharPositionInLine()==0) ) {
                if (backtracking>0) {failed=true; return ;}
                throw new FailedPredicateException(input, "I1", "getCharPositionInLine()==0");
            }
            match('*'); if (failed) return ;
            if ( backtracking==0 ) {
               setText("I1"); 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end I1

    // $ANTLR start I2
    public final void mI2() throws RecognitionException {
        try {
            int _type = I2;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:195:3: ({...}? => '**' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:195:5: {...}? => '**'
            {
            if ( !(getCharPositionInLine()==0) ) {
                if (backtracking>0) {failed=true; return ;}
                throw new FailedPredicateException(input, "I2", "getCharPositionInLine()==0");
            }
            match("**"); if (failed) return ;

            if ( backtracking==0 ) {
               setText("I2"); 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end I2

    // $ANTLR start I3
    public final void mI3() throws RecognitionException {
        try {
            int _type = I3;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:196:3: ({...}? => '***' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:196:5: {...}? => '***'
            {
            if ( !(getCharPositionInLine()==0) ) {
                if (backtracking>0) {failed=true; return ;}
                throw new FailedPredicateException(input, "I3", "getCharPositionInLine()==0");
            }
            match("***"); if (failed) return ;

            if ( backtracking==0 ) {
               setText("I3"); 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end I3

    // $ANTLR start O1
    public final void mO1() throws RecognitionException {
        try {
            int _type = O1;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:198:3: ({...}? => '+' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:198:5: {...}? => '+'
            {
            if ( !(getCharPositionInLine()==0) ) {
                if (backtracking>0) {failed=true; return ;}
                throw new FailedPredicateException(input, "O1", "getCharPositionInLine()==0");
            }
            match('+'); if (failed) return ;
            if ( backtracking==0 ) {
               setText("I1"); 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end O1

    // $ANTLR start O2
    public final void mO2() throws RecognitionException {
        try {
            int _type = O2;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:199:3: ({...}? => '++' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:199:5: {...}? => '++'
            {
            if ( !(getCharPositionInLine()==0) ) {
                if (backtracking>0) {failed=true; return ;}
                throw new FailedPredicateException(input, "O2", "getCharPositionInLine()==0");
            }
            match("++"); if (failed) return ;

            if ( backtracking==0 ) {
               setText("I2"); 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end O2

    // $ANTLR start O3
    public final void mO3() throws RecognitionException {
        try {
            int _type = O3;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:200:3: ({...}? => '+++' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:200:5: {...}? => '+++'
            {
            if ( !(getCharPositionInLine()==0) ) {
                if (backtracking>0) {failed=true; return ;}
                throw new FailedPredicateException(input, "O3", "getCharPositionInLine()==0");
            }
            match("+++"); if (failed) return ;

            if ( backtracking==0 ) {
               setText("I3"); 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end O3

    // $ANTLR start NameChar
    public final void mNameChar() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:205:18: ( Letter | Digit | Dot | '-' | '_' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:
            {
            if ( (input.LA(1)>='-' && input.LA(1)<='.')||(input.LA(1)>='0' && input.LA(1)<='9')||(input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
                input.consume();
            failed=false;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }


            }

        }
        finally {
        }
    }
    // $ANTLR end NameChar

    // $ANTLR start Name
    public final void mName() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:207:14: ( Letter ( NameChar )* )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:207:16: Letter ( NameChar )*
            {
            mLetter(); if (failed) return ;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:207:23: ( NameChar )*
            loop15:
            do {
                int alt15=2;
                int LA15_0 = input.LA(1);

                if ( ((LA15_0>='-' && LA15_0<='.')||(LA15_0>='0' && LA15_0<='9')||(LA15_0>='A' && LA15_0<='Z')||LA15_0=='_'||(LA15_0>='a' && LA15_0<='z')) ) {
                    alt15=1;
                }


                switch (alt15) {
            	case 1 :
            	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:207:23: NameChar
            	    {
            	    mNameChar(); if (failed) return ;

            	    }
            	    break;

            	default :
            	    break loop15;
                }
            } while (true);


            }

        }
        finally {
        }
    }
    // $ANTLR end Name

    // $ANTLR start StringLiteral
    public final void mStringLiteral() throws RecognitionException {
        try {
            int _type = StringLiteral;
            Token body=null;

            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:215:14: ( '\"' body= StringCharacters '\"' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:215:16: '\"' body= StringCharacters '\"'
            {
            match('\"'); if (failed) return ;
            int bodyStart609 = getCharIndex();
            mStringCharacters(); if (failed) return ;
            body = new CommonToken(input, Token.INVALID_TOKEN_TYPE, Token.DEFAULT_CHANNEL, bodyStart609, getCharIndex()-1);
            match('\"'); if (failed) return ;
            if ( backtracking==0 ) {
               setText(body.getText()); 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end StringLiteral

    // $ANTLR start StringCharacters
    public final void mStringCharacters() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:216:26: ( ( StringChar )* )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:216:28: ( StringChar )*
            {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:216:28: ( StringChar )*
            loop16:
            do {
                int alt16=2;
                int LA16_0 = input.LA(1);

                if ( ((LA16_0>='\u0000' && LA16_0<='!')||(LA16_0>='#' && LA16_0<='\uFFFE')) ) {
                    alt16=1;
                }


                switch (alt16) {
            	case 1 :
            	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:216:28: StringChar
            	    {
            	    mStringChar(); if (failed) return ;

            	    }
            	    break;

            	default :
            	    break loop16;
                }
            } while (true);


            }

        }
        finally {
        }
    }
    // $ANTLR end StringCharacters

    // $ANTLR start ProtocolPrefix
    public final void mProtocolPrefix() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:220:2: ( ( 'http' | 'ftp' | 'https' | 'sftp' | 'rsync' ) '://' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:220:4: ( 'http' | 'ftp' | 'https' | 'sftp' | 'rsync' ) '://'
            {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:220:4: ( 'http' | 'ftp' | 'https' | 'sftp' | 'rsync' )
            int alt17=5;
            switch ( input.LA(1) ) {
            case 'h':
                {
                int LA17_1 = input.LA(2);

                if ( (LA17_1=='t') ) {
                    int LA17_5 = input.LA(3);

                    if ( (LA17_5=='t') ) {
                        int LA17_6 = input.LA(4);

                        if ( (LA17_6=='p') ) {
                            int LA17_7 = input.LA(5);

                            if ( (LA17_7=='s') ) {
                                alt17=3;
                            }
                            else if ( (LA17_7==':') ) {
                                alt17=1;
                            }
                            else {
                                if (backtracking>0) {failed=true; return ;}
                                NoViableAltException nvae =
                                    new NoViableAltException("220:4: ( 'http' | 'ftp' | 'https' | 'sftp' | 'rsync' )", 17, 7, input);

                                throw nvae;
                            }
                        }
                        else {
                            if (backtracking>0) {failed=true; return ;}
                            NoViableAltException nvae =
                                new NoViableAltException("220:4: ( 'http' | 'ftp' | 'https' | 'sftp' | 'rsync' )", 17, 6, input);

                            throw nvae;
                        }
                    }
                    else {
                        if (backtracking>0) {failed=true; return ;}
                        NoViableAltException nvae =
                            new NoViableAltException("220:4: ( 'http' | 'ftp' | 'https' | 'sftp' | 'rsync' )", 17, 5, input);

                        throw nvae;
                    }
                }
                else {
                    if (backtracking>0) {failed=true; return ;}
                    NoViableAltException nvae =
                        new NoViableAltException("220:4: ( 'http' | 'ftp' | 'https' | 'sftp' | 'rsync' )", 17, 1, input);

                    throw nvae;
                }
                }
                break;
            case 'f':
                {
                alt17=2;
                }
                break;
            case 's':
                {
                alt17=4;
                }
                break;
            case 'r':
                {
                alt17=5;
                }
                break;
            default:
                if (backtracking>0) {failed=true; return ;}
                NoViableAltException nvae =
                    new NoViableAltException("220:4: ( 'http' | 'ftp' | 'https' | 'sftp' | 'rsync' )", 17, 0, input);

                throw nvae;
            }

            switch (alt17) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:220:5: 'http'
                    {
                    match("http"); if (failed) return ;


                    }
                    break;
                case 2 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:220:14: 'ftp'
                    {
                    match("ftp"); if (failed) return ;


                    }
                    break;
                case 3 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:220:22: 'https'
                    {
                    match("https"); if (failed) return ;


                    }
                    break;
                case 4 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:220:32: 'sftp'
                    {
                    match("sftp"); if (failed) return ;


                    }
                    break;
                case 5 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:220:41: 'rsync'
                    {
                    match("rsync"); if (failed) return ;


                    }
                    break;

            }

            match("://"); if (failed) return ;


            }

        }
        finally {
        }
    }
    // $ANTLR end ProtocolPrefix

    // $ANTLR start Dot
    public final void mDot() throws RecognitionException {
        try {
            int _type = Dot;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:223:4: ( '.' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:223:6: '.'
            {
            match('.'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end Dot

    // $ANTLR start LParen
    public final void mLParen() throws RecognitionException {
        try {
            int _type = LParen;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:224:7: ( '(' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:224:9: '('
            {
            match('('); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end LParen

    // $ANTLR start RParen
    public final void mRParen() throws RecognitionException {
        try {
            int _type = RParen;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:225:7: ( ')' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:225:9: ')'
            {
            match(')'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RParen

    // $ANTLR start LBracket
    public final void mLBracket() throws RecognitionException {
        try {
            int _type = LBracket;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:226:9: ( '[' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:226:11: '['
            {
            match('['); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end LBracket

    // $ANTLR start RBracket
    public final void mRBracket() throws RecognitionException {
        try {
            int _type = RBracket;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:227:9: ( ']' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:227:11: ']'
            {
            match(']'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RBracket

    // $ANTLR start LBrace
    public final void mLBrace() throws RecognitionException {
        try {
            int _type = LBrace;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:228:7: ( '{' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:228:9: '{'
            {
            match('{'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end LBrace

    // $ANTLR start RBrace
    public final void mRBrace() throws RecognitionException {
        try {
            int _type = RBrace;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:229:7: ( '}' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:229:9: '}'
            {
            match('}'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end RBrace

    // $ANTLR start Lt
    public final void mLt() throws RecognitionException {
        try {
            int _type = Lt;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:230:3: ( '<' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:230:5: '<'
            {
            match('<'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end Lt

    // $ANTLR start Gt
    public final void mGt() throws RecognitionException {
        try {
            int _type = Gt;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:231:3: ( '>' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:231:5: '>'
            {
            match('>'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end Gt

    // $ANTLR start Slash
    public final void mSlash() throws RecognitionException {
        try {
            int _type = Slash;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:232:6: ( '/' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:232:8: '/'
            {
            match('/'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end Slash

    // $ANTLR start At
    public final void mAt() throws RecognitionException {
        try {
            int _type = At;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:233:3: ( '@' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:233:5: '@'
            {
            match('@'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end At

    // $ANTLR start Comma
    public final void mComma() throws RecognitionException {
        try {
            int _type = Comma;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:234:6: ( ',' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:234:8: ','
            {
            match(','); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end Comma

    // $ANTLR start Colon
    public final void mColon() throws RecognitionException {
        try {
            int _type = Colon;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:235:6: ( ':' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:235:8: ':'
            {
            match(':'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end Colon

    // $ANTLR start Eq
    public final void mEq() throws RecognitionException {
        try {
            int _type = Eq;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:236:3: ( '=' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:236:5: '='
            {
            match('='); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end Eq

    // $ANTLR start Star
    public final void mStar() throws RecognitionException {
        try {
            int _type = Star;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:237:5: ( '*' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:237:7: '*'
            {
            match('*'); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end Star

    // $ANTLR start Symbol
    public final void mSymbol() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:245:2: ( LBracket | RBracket | LBrace | RBrace | LParen | RParen | Lt | Gt | At | Comma | Eq | '\"' | Star | Slash )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:
            {
            if ( input.LA(1)=='\"'||(input.LA(1)>='(' && input.LA(1)<='*')||input.LA(1)==','||input.LA(1)=='/'||(input.LA(1)>='<' && input.LA(1)<='>')||input.LA(1)=='@'||input.LA(1)=='['||input.LA(1)==']'||input.LA(1)=='{'||input.LA(1)=='}' ) {
                input.consume();
            failed=false;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }


            }

        }
        finally {
        }
    }
    // $ANTLR end Symbol

    // $ANTLR start WikiBlockSymbol
    public final void mWikiBlockSymbol() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:252:2: ( Star | Eq )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:
            {
            if ( input.LA(1)=='*'||input.LA(1)=='=' ) {
                input.consume();
            failed=false;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }


            }

        }
        finally {
        }
    }
    // $ANTLR end WikiBlockSymbol

    // $ANTLR start URLChar
    public final void mURLChar() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:257:8: ( NameChar | At | Dot )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:
            {
            if ( (input.LA(1)>='-' && input.LA(1)<='.')||(input.LA(1)>='0' && input.LA(1)<='9')||(input.LA(1)>='@' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
                input.consume();
            failed=false;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }


            }

        }
        finally {
        }
    }
    // $ANTLR end URLChar

    // $ANTLR start URLQueryChar
    public final void mURLQueryChar() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:261:13: ( URLChar | Eq | '%' )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:
            {
            if ( input.LA(1)=='%'||(input.LA(1)>='-' && input.LA(1)<='.')||(input.LA(1)>='0' && input.LA(1)<='9')||input.LA(1)=='='||(input.LA(1)>='@' && input.LA(1)<='Z')||input.LA(1)=='_'||(input.LA(1)>='a' && input.LA(1)<='z') ) {
                input.consume();
            failed=false;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }


            }

        }
        finally {
        }
    }
    // $ANTLR end URLQueryChar

    // $ANTLR start CloseTagBegin
    public final void mCloseTagBegin() throws RecognitionException {
        try {
            int _type = CloseTagBegin;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:264:14: ( Lt Slash )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:264:16: Lt Slash
            {
            mLt(); if (failed) return ;
            mSlash(); if (failed) return ;

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end CloseTagBegin

    // $ANTLR start WikiNameUnit
    public final void mWikiNameUnit() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:269:13: ( ( UpperLetter )+ ( LowerLetter )+ )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:269:15: ( UpperLetter )+ ( LowerLetter )+
            {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:269:15: ( UpperLetter )+
            int cnt18=0;
            loop18:
            do {
                int alt18=2;
                int LA18_0 = input.LA(1);

                if ( ((LA18_0>='A' && LA18_0<='Z')) ) {
                    alt18=1;
                }


                switch (alt18) {
            	case 1 :
            	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:269:15: UpperLetter
            	    {
            	    mUpperLetter(); if (failed) return ;

            	    }
            	    break;

            	default :
            	    if ( cnt18 >= 1 ) break loop18;
            	    if (backtracking>0) {failed=true; return ;}
                        EarlyExitException eee =
                            new EarlyExitException(18, input);
                        throw eee;
                }
                cnt18++;
            } while (true);

            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:269:28: ( LowerLetter )+
            int cnt19=0;
            loop19:
            do {
                int alt19=2;
                int LA19_0 = input.LA(1);

                if ( ((LA19_0>='a' && LA19_0<='z')) ) {
                    alt19=1;
                }


                switch (alt19) {
            	case 1 :
            	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:269:28: LowerLetter
            	    {
            	    mLowerLetter(); if (failed) return ;

            	    }
            	    break;

            	default :
            	    if ( cnt19 >= 1 ) break loop19;
            	    if (backtracking>0) {failed=true; return ;}
                        EarlyExitException eee =
                            new EarlyExitException(19, input);
                        throw eee;
                }
                cnt19++;
            } while (true);


            }

        }
        finally {
        }
    }
    // $ANTLR end WikiNameUnit

    // $ANTLR start WikiName
    public final void mWikiName() throws RecognitionException {
        try {
            int _type = WikiName;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:274:2: ( WikiNameUnit WikiNameUnit | ( WikiNameUnit )+ ( Slash ( WikiNameUnit )+ )+ WikiNameUnit WikiNameUnit )
            int alt23=2;
            alt23 = dfa23.predict(input);
            switch (alt23) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:274:4: WikiNameUnit WikiNameUnit
                    {
                    mWikiNameUnit(); if (failed) return ;
                    mWikiNameUnit(); if (failed) return ;

                    }
                    break;
                case 2 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:275:4: ( WikiNameUnit )+ ( Slash ( WikiNameUnit )+ )+ WikiNameUnit WikiNameUnit
                    {
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:275:4: ( WikiNameUnit )+
                    int cnt20=0;
                    loop20:
                    do {
                        int alt20=2;
                        int LA20_0 = input.LA(1);

                        if ( ((LA20_0>='A' && LA20_0<='Z')) ) {
                            alt20=1;
                        }


                        switch (alt20) {
                    	case 1 :
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:275:4: WikiNameUnit
                    	    {
                    	    mWikiNameUnit(); if (failed) return ;

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt20 >= 1 ) break loop20;
                    	    if (backtracking>0) {failed=true; return ;}
                                EarlyExitException eee =
                                    new EarlyExitException(20, input);
                                throw eee;
                        }
                        cnt20++;
                    } while (true);

                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:275:18: ( Slash ( WikiNameUnit )+ )+
                    int cnt22=0;
                    loop22:
                    do {
                        int alt22=2;
                        int LA22_0 = input.LA(1);

                        if ( (LA22_0=='/') ) {
                            alt22=1;
                        }


                        switch (alt22) {
                    	case 1 :
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:275:19: Slash ( WikiNameUnit )+
                    	    {
                    	    mSlash(); if (failed) return ;
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:275:25: ( WikiNameUnit )+
                    	    int cnt21=0;
                    	    loop21:
                    	    do {
                    	        int alt21=2;
                    	        alt21 = dfa21.predict(input);
                    	        switch (alt21) {
                    	    	case 1 :
                    	    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:275:25: WikiNameUnit
                    	    	    {
                    	    	    mWikiNameUnit(); if (failed) return ;

                    	    	    }
                    	    	    break;

                    	    	default :
                    	    	    if ( cnt21 >= 1 ) break loop21;
                    	    	    if (backtracking>0) {failed=true; return ;}
                    	                EarlyExitException eee =
                    	                    new EarlyExitException(21, input);
                    	                throw eee;
                    	        }
                    	        cnt21++;
                    	    } while (true);


                    	    }
                    	    break;

                    	default :
                    	    if ( cnt22 >= 1 ) break loop22;
                    	    if (backtracking>0) {failed=true; return ;}
                                EarlyExitException eee =
                                    new EarlyExitException(22, input);
                                throw eee;
                        }
                        cnt22++;
                    } while (true);

                    mWikiNameUnit(); if (failed) return ;
                    mWikiNameUnit(); if (failed) return ;

                    }
                    break;

            }
            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end WikiName

    // $ANTLR start InternetLink
    public final void mInternetLink() throws RecognitionException {
        try {
            int _type = InternetLink;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:279:2: ( ( ProtocolPrefix )=> ProtocolPrefix (~ ( WhiteSpace | '\\n' | '\\r' | ';' | LParen | RParen ) | Digit )* | (~ ( '!' ) )=> ( Slash )? ( URLChar )+ ( Colon ( Digit )+ )? ( Slash ( URLChar )* )* ( '?' ( URLQueryChar )* )? )
            int alt33=2;
            int LA33_0 = input.LA(1);

            if ( (LA33_0=='h') ) {
                int LA33_1 = input.LA(2);

                if ( (LA33_1=='t') ) {
                    int LA33_7 = input.LA(3);

                    if ( (LA33_7=='t') ) {
                        int LA33_15 = input.LA(4);

                        if ( (LA33_15=='p') ) {
                            int LA33_19 = input.LA(5);

                            if ( (LA33_19=='s') ) {
                                int LA33_23 = input.LA(6);

                                if ( (LA33_23==':') ) {
                                    int LA33_20 = input.LA(7);

                                    if ( (LA33_20=='/') && (synpred1())) {
                                        alt33=1;
                                    }
                                    else if ( ((LA33_20>='0' && LA33_20<='9')) && (synpred2())) {
                                        alt33=2;
                                    }
                                    else {
                                        if (backtracking>0) {failed=true; return ;}
                                        NoViableAltException nvae =
                                            new NoViableAltException("278:1: InternetLink : ( ( ProtocolPrefix )=> ProtocolPrefix (~ ( WhiteSpace | '\\n' | '\\r' | ';' | LParen | RParen ) | Digit )* | (~ ( '!' ) )=> ( Slash )? ( URLChar )+ ( Colon ( Digit )+ )? ( Slash ( URLChar )* )* ( '?' ( URLQueryChar )* )? );", 33, 20, input);

                                        throw nvae;
                                    }
                                }
                                else if ( (LA33_23=='/') && (synpred2())) {
                                    alt33=2;
                                }
                                else if ( (LA33_23=='?') && (synpred2())) {
                                    alt33=2;
                                }
                                else if ( ((LA33_23>='-' && LA33_23<='.')||(LA33_23>='0' && LA33_23<='9')||(LA33_23>='@' && LA33_23<='Z')||LA33_23=='_'||(LA33_23>='a' && LA33_23<='z')) && (synpred2())) {
                                    alt33=2;
                                }
                                else {
                                    alt33=2;}
                            }
                            else if ( (LA33_19==':') ) {
                                int LA33_20 = input.LA(6);

                                if ( (LA33_20=='/') && (synpred1())) {
                                    alt33=1;
                                }
                                else if ( ((LA33_20>='0' && LA33_20<='9')) && (synpred2())) {
                                    alt33=2;
                                }
                                else {
                                    if (backtracking>0) {failed=true; return ;}
                                    NoViableAltException nvae =
                                        new NoViableAltException("278:1: InternetLink : ( ( ProtocolPrefix )=> ProtocolPrefix (~ ( WhiteSpace | '\\n' | '\\r' | ';' | LParen | RParen ) | Digit )* | (~ ( '!' ) )=> ( Slash )? ( URLChar )+ ( Colon ( Digit )+ )? ( Slash ( URLChar )* )* ( '?' ( URLQueryChar )* )? );", 33, 20, input);

                                    throw nvae;
                                }
                            }
                            else if ( (LA33_19=='/') && (synpred2())) {
                                alt33=2;
                            }
                            else if ( (LA33_19=='?') && (synpred2())) {
                                alt33=2;
                            }
                            else if ( ((LA33_19>='-' && LA33_19<='.')||(LA33_19>='0' && LA33_19<='9')||(LA33_19>='@' && LA33_19<='Z')||LA33_19=='_'||(LA33_19>='a' && LA33_19<='r')||(LA33_19>='t' && LA33_19<='z')) && (synpred2())) {
                                alt33=2;
                            }
                            else {
                                alt33=2;}
                        }
                        else if ( (LA33_15==':') && (synpred2())) {
                            alt33=2;
                        }
                        else if ( (LA33_15=='/') && (synpred2())) {
                            alt33=2;
                        }
                        else if ( (LA33_15=='?') && (synpred2())) {
                            alt33=2;
                        }
                        else if ( ((LA33_15>='-' && LA33_15<='.')||(LA33_15>='0' && LA33_15<='9')||(LA33_15>='@' && LA33_15<='Z')||LA33_15=='_'||(LA33_15>='a' && LA33_15<='o')||(LA33_15>='q' && LA33_15<='z')) && (synpred2())) {
                            alt33=2;
                        }
                        else {
                            alt33=2;}
                    }
                    else if ( (LA33_7==':') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( (LA33_7=='/') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( (LA33_7=='?') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( ((LA33_7>='-' && LA33_7<='.')||(LA33_7>='0' && LA33_7<='9')||(LA33_7>='@' && LA33_7<='Z')||LA33_7=='_'||(LA33_7>='a' && LA33_7<='s')||(LA33_7>='u' && LA33_7<='z')) && (synpred2())) {
                        alt33=2;
                    }
                    else {
                        alt33=2;}
                }
                else if ( (LA33_1==':') && (synpred2())) {
                    alt33=2;
                }
                else if ( (LA33_1=='/') && (synpred2())) {
                    alt33=2;
                }
                else if ( (LA33_1=='?') && (synpred2())) {
                    alt33=2;
                }
                else if ( ((LA33_1>='-' && LA33_1<='.')||(LA33_1>='0' && LA33_1<='9')||(LA33_1>='@' && LA33_1<='Z')||LA33_1=='_'||(LA33_1>='a' && LA33_1<='s')||(LA33_1>='u' && LA33_1<='z')) && (synpred2())) {
                    alt33=2;
                }
                else {
                    alt33=2;}
            }
            else if ( (LA33_0=='f') ) {
                int LA33_2 = input.LA(2);

                if ( (LA33_2=='t') ) {
                    int LA33_12 = input.LA(3);

                    if ( (LA33_12=='p') ) {
                        int LA33_16 = input.LA(4);

                        if ( (LA33_16==':') ) {
                            int LA33_20 = input.LA(5);

                            if ( (LA33_20=='/') && (synpred1())) {
                                alt33=1;
                            }
                            else if ( ((LA33_20>='0' && LA33_20<='9')) && (synpred2())) {
                                alt33=2;
                            }
                            else {
                                if (backtracking>0) {failed=true; return ;}
                                NoViableAltException nvae =
                                    new NoViableAltException("278:1: InternetLink : ( ( ProtocolPrefix )=> ProtocolPrefix (~ ( WhiteSpace | '\\n' | '\\r' | ';' | LParen | RParen ) | Digit )* | (~ ( '!' ) )=> ( Slash )? ( URLChar )+ ( Colon ( Digit )+ )? ( Slash ( URLChar )* )* ( '?' ( URLQueryChar )* )? );", 33, 20, input);

                                throw nvae;
                            }
                        }
                        else if ( (LA33_16=='/') && (synpred2())) {
                            alt33=2;
                        }
                        else if ( (LA33_16=='?') && (synpred2())) {
                            alt33=2;
                        }
                        else if ( ((LA33_16>='-' && LA33_16<='.')||(LA33_16>='0' && LA33_16<='9')||(LA33_16>='@' && LA33_16<='Z')||LA33_16=='_'||(LA33_16>='a' && LA33_16<='z')) && (synpred2())) {
                            alt33=2;
                        }
                        else {
                            alt33=2;}
                    }
                    else if ( (LA33_12==':') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( (LA33_12=='/') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( (LA33_12=='?') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( ((LA33_12>='-' && LA33_12<='.')||(LA33_12>='0' && LA33_12<='9')||(LA33_12>='@' && LA33_12<='Z')||LA33_12=='_'||(LA33_12>='a' && LA33_12<='o')||(LA33_12>='q' && LA33_12<='z')) && (synpred2())) {
                        alt33=2;
                    }
                    else {
                        alt33=2;}
                }
                else if ( (LA33_2==':') && (synpred2())) {
                    alt33=2;
                }
                else if ( (LA33_2=='/') && (synpred2())) {
                    alt33=2;
                }
                else if ( (LA33_2=='?') && (synpred2())) {
                    alt33=2;
                }
                else if ( ((LA33_2>='-' && LA33_2<='.')||(LA33_2>='0' && LA33_2<='9')||(LA33_2>='@' && LA33_2<='Z')||LA33_2=='_'||(LA33_2>='a' && LA33_2<='s')||(LA33_2>='u' && LA33_2<='z')) && (synpred2())) {
                    alt33=2;
                }
                else {
                    alt33=2;}
            }
            else if ( (LA33_0=='s') ) {
                int LA33_3 = input.LA(2);

                if ( (LA33_3=='f') ) {
                    int LA33_13 = input.LA(3);

                    if ( (LA33_13=='t') ) {
                        int LA33_17 = input.LA(4);

                        if ( (LA33_17=='p') ) {
                            int LA33_21 = input.LA(5);

                            if ( (LA33_21==':') ) {
                                int LA33_20 = input.LA(6);

                                if ( (LA33_20=='/') && (synpred1())) {
                                    alt33=1;
                                }
                                else if ( ((LA33_20>='0' && LA33_20<='9')) && (synpred2())) {
                                    alt33=2;
                                }
                                else {
                                    if (backtracking>0) {failed=true; return ;}
                                    NoViableAltException nvae =
                                        new NoViableAltException("278:1: InternetLink : ( ( ProtocolPrefix )=> ProtocolPrefix (~ ( WhiteSpace | '\\n' | '\\r' | ';' | LParen | RParen ) | Digit )* | (~ ( '!' ) )=> ( Slash )? ( URLChar )+ ( Colon ( Digit )+ )? ( Slash ( URLChar )* )* ( '?' ( URLQueryChar )* )? );", 33, 20, input);

                                    throw nvae;
                                }
                            }
                            else if ( (LA33_21=='/') && (synpred2())) {
                                alt33=2;
                            }
                            else if ( (LA33_21=='?') && (synpred2())) {
                                alt33=2;
                            }
                            else if ( ((LA33_21>='-' && LA33_21<='.')||(LA33_21>='0' && LA33_21<='9')||(LA33_21>='@' && LA33_21<='Z')||LA33_21=='_'||(LA33_21>='a' && LA33_21<='z')) && (synpred2())) {
                                alt33=2;
                            }
                            else {
                                alt33=2;}
                        }
                        else if ( (LA33_17==':') && (synpred2())) {
                            alt33=2;
                        }
                        else if ( (LA33_17=='/') && (synpred2())) {
                            alt33=2;
                        }
                        else if ( (LA33_17=='?') && (synpred2())) {
                            alt33=2;
                        }
                        else if ( ((LA33_17>='-' && LA33_17<='.')||(LA33_17>='0' && LA33_17<='9')||(LA33_17>='@' && LA33_17<='Z')||LA33_17=='_'||(LA33_17>='a' && LA33_17<='o')||(LA33_17>='q' && LA33_17<='z')) && (synpred2())) {
                            alt33=2;
                        }
                        else {
                            alt33=2;}
                    }
                    else if ( (LA33_13==':') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( (LA33_13=='/') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( (LA33_13=='?') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( ((LA33_13>='-' && LA33_13<='.')||(LA33_13>='0' && LA33_13<='9')||(LA33_13>='@' && LA33_13<='Z')||LA33_13=='_'||(LA33_13>='a' && LA33_13<='s')||(LA33_13>='u' && LA33_13<='z')) && (synpred2())) {
                        alt33=2;
                    }
                    else {
                        alt33=2;}
                }
                else if ( (LA33_3==':') && (synpred2())) {
                    alt33=2;
                }
                else if ( (LA33_3=='/') && (synpred2())) {
                    alt33=2;
                }
                else if ( (LA33_3=='?') && (synpred2())) {
                    alt33=2;
                }
                else if ( ((LA33_3>='-' && LA33_3<='.')||(LA33_3>='0' && LA33_3<='9')||(LA33_3>='@' && LA33_3<='Z')||LA33_3=='_'||(LA33_3>='a' && LA33_3<='e')||(LA33_3>='g' && LA33_3<='z')) && (synpred2())) {
                    alt33=2;
                }
                else {
                    alt33=2;}
            }
            else if ( (LA33_0=='r') ) {
                int LA33_4 = input.LA(2);

                if ( (LA33_4=='s') ) {
                    int LA33_14 = input.LA(3);

                    if ( (LA33_14=='y') ) {
                        int LA33_18 = input.LA(4);

                        if ( (LA33_18=='n') ) {
                            int LA33_22 = input.LA(5);

                            if ( (LA33_22=='c') ) {
                                int LA33_26 = input.LA(6);

                                if ( (LA33_26==':') ) {
                                    int LA33_20 = input.LA(7);

                                    if ( (LA33_20=='/') && (synpred1())) {
                                        alt33=1;
                                    }
                                    else if ( ((LA33_20>='0' && LA33_20<='9')) && (synpred2())) {
                                        alt33=2;
                                    }
                                    else {
                                        if (backtracking>0) {failed=true; return ;}
                                        NoViableAltException nvae =
                                            new NoViableAltException("278:1: InternetLink : ( ( ProtocolPrefix )=> ProtocolPrefix (~ ( WhiteSpace | '\\n' | '\\r' | ';' | LParen | RParen ) | Digit )* | (~ ( '!' ) )=> ( Slash )? ( URLChar )+ ( Colon ( Digit )+ )? ( Slash ( URLChar )* )* ( '?' ( URLQueryChar )* )? );", 33, 20, input);

                                        throw nvae;
                                    }
                                }
                                else if ( (LA33_26=='/') && (synpred2())) {
                                    alt33=2;
                                }
                                else if ( (LA33_26=='?') && (synpred2())) {
                                    alt33=2;
                                }
                                else if ( ((LA33_26>='-' && LA33_26<='.')||(LA33_26>='0' && LA33_26<='9')||(LA33_26>='@' && LA33_26<='Z')||LA33_26=='_'||(LA33_26>='a' && LA33_26<='z')) && (synpred2())) {
                                    alt33=2;
                                }
                                else {
                                    alt33=2;}
                            }
                            else if ( (LA33_22==':') && (synpred2())) {
                                alt33=2;
                            }
                            else if ( (LA33_22=='/') && (synpred2())) {
                                alt33=2;
                            }
                            else if ( (LA33_22=='?') && (synpred2())) {
                                alt33=2;
                            }
                            else if ( ((LA33_22>='-' && LA33_22<='.')||(LA33_22>='0' && LA33_22<='9')||(LA33_22>='@' && LA33_22<='Z')||LA33_22=='_'||(LA33_22>='a' && LA33_22<='b')||(LA33_22>='d' && LA33_22<='z')) && (synpred2())) {
                                alt33=2;
                            }
                            else {
                                alt33=2;}
                        }
                        else if ( (LA33_18==':') && (synpred2())) {
                            alt33=2;
                        }
                        else if ( (LA33_18=='/') && (synpred2())) {
                            alt33=2;
                        }
                        else if ( (LA33_18=='?') && (synpred2())) {
                            alt33=2;
                        }
                        else if ( ((LA33_18>='-' && LA33_18<='.')||(LA33_18>='0' && LA33_18<='9')||(LA33_18>='@' && LA33_18<='Z')||LA33_18=='_'||(LA33_18>='a' && LA33_18<='m')||(LA33_18>='o' && LA33_18<='z')) && (synpred2())) {
                            alt33=2;
                        }
                        else {
                            alt33=2;}
                    }
                    else if ( (LA33_14==':') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( (LA33_14=='/') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( (LA33_14=='?') && (synpred2())) {
                        alt33=2;
                    }
                    else if ( ((LA33_14>='-' && LA33_14<='.')||(LA33_14>='0' && LA33_14<='9')||(LA33_14>='@' && LA33_14<='Z')||LA33_14=='_'||(LA33_14>='a' && LA33_14<='x')||LA33_14=='z') && (synpred2())) {
                        alt33=2;
                    }
                    else {
                        alt33=2;}
                }
                else if ( (LA33_4==':') && (synpred2())) {
                    alt33=2;
                }
                else if ( (LA33_4=='/') && (synpred2())) {
                    alt33=2;
                }
                else if ( (LA33_4=='?') && (synpred2())) {
                    alt33=2;
                }
                else if ( ((LA33_4>='-' && LA33_4<='.')||(LA33_4>='0' && LA33_4<='9')||(LA33_4>='@' && LA33_4<='Z')||LA33_4=='_'||(LA33_4>='a' && LA33_4<='r')||(LA33_4>='t' && LA33_4<='z')) && (synpred2())) {
                    alt33=2;
                }
                else {
                    alt33=2;}
            }
            else if ( (LA33_0=='/') && (synpred2())) {
                alt33=2;
            }
            else if ( ((LA33_0>='-' && LA33_0<='.')||(LA33_0>='0' && LA33_0<='9')||(LA33_0>='@' && LA33_0<='Z')||LA33_0=='_'||(LA33_0>='a' && LA33_0<='e')||LA33_0=='g'||(LA33_0>='i' && LA33_0<='q')||(LA33_0>='t' && LA33_0<='z')) && (synpred2())) {
                alt33=2;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                NoViableAltException nvae =
                    new NoViableAltException("278:1: InternetLink : ( ( ProtocolPrefix )=> ProtocolPrefix (~ ( WhiteSpace | '\\n' | '\\r' | ';' | LParen | RParen ) | Digit )* | (~ ( '!' ) )=> ( Slash )? ( URLChar )+ ( Colon ( Digit )+ )? ( Slash ( URLChar )* )* ( '?' ( URLQueryChar )* )? );", 33, 0, input);

                throw nvae;
            }
            switch (alt33) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:279:4: ( ProtocolPrefix )=> ProtocolPrefix (~ ( WhiteSpace | '\\n' | '\\r' | ';' | LParen | RParen ) | Digit )*
                    {
                    mProtocolPrefix(); if (failed) return ;
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:279:39: (~ ( WhiteSpace | '\\n' | '\\r' | ';' | LParen | RParen ) | Digit )*
                    loop24:
                    do {
                        int alt24=2;
                        int LA24_0 = input.LA(1);

                        if ( ((LA24_0>='\u0000' && LA24_0<='\b')||LA24_0=='\u000B'||(LA24_0>='\u000E' && LA24_0<='\u001F')||(LA24_0>='!' && LA24_0<='\'')||(LA24_0>='*' && LA24_0<=':')||(LA24_0>='<' && LA24_0<='\uFFFE')) ) {
                            alt24=1;
                        }


                        switch (alt24) {
                    	case 1 :
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:
                    	    {
                    	    if ( (input.LA(1)>='\u0000' && input.LA(1)<='\b')||input.LA(1)=='\u000B'||(input.LA(1)>='\u000E' && input.LA(1)<='\u001F')||(input.LA(1)>='!' && input.LA(1)<='\'')||(input.LA(1)>='*' && input.LA(1)<=':')||(input.LA(1)>='<' && input.LA(1)<='\uFFFE') ) {
                    	        input.consume();
                    	    failed=false;
                    	    }
                    	    else {
                    	        if (backtracking>0) {failed=true; return ;}
                    	        MismatchedSetException mse =
                    	            new MismatchedSetException(null,input);
                    	        recover(mse);    throw mse;
                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop24;
                        }
                    } while (true);


                    }
                    break;
                case 2 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:4: (~ ( '!' ) )=> ( Slash )? ( URLChar )+ ( Colon ( Digit )+ )? ( Slash ( URLChar )* )* ( '?' ( URLQueryChar )* )?
                    {
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:16: ( Slash )?
                    int alt25=2;
                    int LA25_0 = input.LA(1);

                    if ( (LA25_0=='/') ) {
                        alt25=1;
                    }
                    switch (alt25) {
                        case 1 :
                            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:16: Slash
                            {
                            mSlash(); if (failed) return ;

                            }
                            break;

                    }

                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:23: ( URLChar )+
                    int cnt26=0;
                    loop26:
                    do {
                        int alt26=2;
                        int LA26_0 = input.LA(1);

                        if ( ((LA26_0>='-' && LA26_0<='.')||(LA26_0>='0' && LA26_0<='9')||(LA26_0>='@' && LA26_0<='Z')||LA26_0=='_'||(LA26_0>='a' && LA26_0<='z')) ) {
                            alt26=1;
                        }


                        switch (alt26) {
                    	case 1 :
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:23: URLChar
                    	    {
                    	    mURLChar(); if (failed) return ;

                    	    }
                    	    break;

                    	default :
                    	    if ( cnt26 >= 1 ) break loop26;
                    	    if (backtracking>0) {failed=true; return ;}
                                EarlyExitException eee =
                                    new EarlyExitException(26, input);
                                throw eee;
                        }
                        cnt26++;
                    } while (true);

                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:32: ( Colon ( Digit )+ )?
                    int alt28=2;
                    int LA28_0 = input.LA(1);

                    if ( (LA28_0==':') ) {
                        alt28=1;
                    }
                    switch (alt28) {
                        case 1 :
                            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:33: Colon ( Digit )+
                            {
                            mColon(); if (failed) return ;
                            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:39: ( Digit )+
                            int cnt27=0;
                            loop27:
                            do {
                                int alt27=2;
                                int LA27_0 = input.LA(1);

                                if ( ((LA27_0>='0' && LA27_0<='9')) ) {
                                    alt27=1;
                                }


                                switch (alt27) {
                            	case 1 :
                            	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:39: Digit
                            	    {
                            	    mDigit(); if (failed) return ;

                            	    }
                            	    break;

                            	default :
                            	    if ( cnt27 >= 1 ) break loop27;
                            	    if (backtracking>0) {failed=true; return ;}
                                        EarlyExitException eee =
                                            new EarlyExitException(27, input);
                                        throw eee;
                                }
                                cnt27++;
                            } while (true);


                            }
                            break;

                    }

                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:48: ( Slash ( URLChar )* )*
                    loop30:
                    do {
                        int alt30=2;
                        int LA30_0 = input.LA(1);

                        if ( (LA30_0=='/') ) {
                            alt30=1;
                        }


                        switch (alt30) {
                    	case 1 :
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:49: Slash ( URLChar )*
                    	    {
                    	    mSlash(); if (failed) return ;
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:55: ( URLChar )*
                    	    loop29:
                    	    do {
                    	        int alt29=2;
                    	        int LA29_0 = input.LA(1);

                    	        if ( ((LA29_0>='-' && LA29_0<='.')||(LA29_0>='0' && LA29_0<='9')||(LA29_0>='@' && LA29_0<='Z')||LA29_0=='_'||(LA29_0>='a' && LA29_0<='z')) ) {
                    	            alt29=1;
                    	        }


                    	        switch (alt29) {
                    	    	case 1 :
                    	    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:55: URLChar
                    	    	    {
                    	    	    mURLChar(); if (failed) return ;

                    	    	    }
                    	    	    break;

                    	    	default :
                    	    	    break loop29;
                    	        }
                    	    } while (true);


                    	    }
                    	    break;

                    	default :
                    	    break loop30;
                        }
                    } while (true);

                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:66: ( '?' ( URLQueryChar )* )?
                    int alt32=2;
                    int LA32_0 = input.LA(1);

                    if ( (LA32_0=='?') ) {
                        alt32=1;
                    }
                    switch (alt32) {
                        case 1 :
                            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:67: '?' ( URLQueryChar )*
                            {
                            match('?'); if (failed) return ;
                            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:71: ( URLQueryChar )*
                            loop31:
                            do {
                                int alt31=2;
                                int LA31_0 = input.LA(1);

                                if ( (LA31_0=='%'||(LA31_0>='-' && LA31_0<='.')||(LA31_0>='0' && LA31_0<='9')||LA31_0=='='||(LA31_0>='@' && LA31_0<='Z')||LA31_0=='_'||(LA31_0>='a' && LA31_0<='z')) ) {
                                    alt31=1;
                                }


                                switch (alt31) {
                            	case 1 :
                            	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:71: URLQueryChar
                            	    {
                            	    mURLQueryChar(); if (failed) return ;

                            	    }
                            	    break;

                            	default :
                            	    break loop31;
                                }
                            } while (true);


                            }
                            break;

                    }


                    }
                    break;

            }
            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end InternetLink

    // $ANTLR start FunctionID
    public final void mFunctionID() throws RecognitionException {
        try {
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:285:20: ( Name ( Colon Name )? )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:285:22: Name ( Colon Name )?
            {
            mName(); if (failed) return ;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:285:27: ( Colon Name )?
            int alt34=2;
            int LA34_0 = input.LA(1);

            if ( (LA34_0==':') ) {
                alt34=1;
            }
            switch (alt34) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:285:28: Colon Name
                    {
                    mColon(); if (failed) return ;
                    mName(); if (failed) return ;

                    }
                    break;

            }


            }

        }
        finally {
        }
    }
    // $ANTLR end FunctionID

    // $ANTLR start FunctionName
    public final void mFunctionName() throws RecognitionException {
        try {
            int _type = FunctionName;
            Token FunctionID1=null;

            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:287:13: ( (~ ( '!' ) )=> At FunctionID LParen )
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:287:15: (~ ( '!' ) )=> At FunctionID LParen
            {
            mAt(); if (failed) return ;
            int FunctionID1Start1097 = getCharIndex();
            mFunctionID(); if (failed) return ;
            FunctionID1 = new CommonToken(input, Token.INVALID_TOKEN_TYPE, Token.DEFAULT_CHANNEL, FunctionID1Start1097, getCharIndex()-1);
            mLParen(); if (failed) return ;
            if ( backtracking==0 ) {
               setText(FunctionID1.getText()); 
            }

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end FunctionName

    // $ANTLR start Word
    public final void mWord() throws RecognitionException {
        try {
            int _type = Word;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:293:2: ({...}? => (~ ( Symbol | WhiteSpace | '\\n' | '\\r' ) )+ | {...}? =>~ ( WikiBlockSymbol | Symbol ) (~ ( Symbol | WhiteSpace | '\\n' | '\\r' ) )* | ( '!' WikiName )=> '!' WikiName | ( '!' InternetLink )=> '!' InternetLink )
            int alt37=4;
            alt37 = dfa37.predict(input);
            switch (alt37) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:293:4: {...}? => (~ ( Symbol | WhiteSpace | '\\n' | '\\r' ) )+
                    {
                    if ( !(getCharPositionInLine() > 0 ) ) {
                        if (backtracking>0) {failed=true; return ;}
                        throw new FailedPredicateException(input, "Word", "getCharPositionInLine() > 0 ");
                    }
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:293:39: (~ ( Symbol | WhiteSpace | '\\n' | '\\r' ) )+
                    int cnt35=0;
                    loop35:
                    do {
                        int alt35=2;
                        int LA35_0 = input.LA(1);

                        if ( ((LA35_0>='\u0000' && LA35_0<='\b')||LA35_0=='\u000B'||(LA35_0>='\u000E' && LA35_0<='\u001F')||LA35_0=='!'||(LA35_0>='#' && LA35_0<='\'')||LA35_0=='+'||(LA35_0>='-' && LA35_0<='.')||(LA35_0>='0' && LA35_0<=';')||LA35_0=='?'||(LA35_0>='A' && LA35_0<='Z')||LA35_0=='\\'||(LA35_0>='^' && LA35_0<='z')||LA35_0=='|'||(LA35_0>='~' && LA35_0<='\uFFFE')) ) {
                            alt35=1;
                        }


                        switch (alt35) {
                    	case 1 :
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:293:40: ~ ( Symbol | WhiteSpace | '\\n' | '\\r' )
                    	    {
                    	    if ( (input.LA(1)>='\u0000' && input.LA(1)<='\b')||input.LA(1)=='\u000B'||(input.LA(1)>='\u000E' && input.LA(1)<='\u001F')||input.LA(1)=='!'||(input.LA(1)>='#' && input.LA(1)<='\'')||input.LA(1)=='+'||(input.LA(1)>='-' && input.LA(1)<='.')||(input.LA(1)>='0' && input.LA(1)<=';')||input.LA(1)=='?'||(input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='\\'||(input.LA(1)>='^' && input.LA(1)<='z')||input.LA(1)=='|'||(input.LA(1)>='~' && input.LA(1)<='\uFFFE') ) {
                    	        input.consume();
                    	    failed=false;
                    	    }
                    	    else {
                    	        if (backtracking>0) {failed=true; return ;}
                    	        MismatchedSetException mse =
                    	            new MismatchedSetException(null,input);
                    	        recover(mse);    throw mse;
                    	    }


                    	    }
                    	    break;

                    	default :
                    	    if ( cnt35 >= 1 ) break loop35;
                    	    if (backtracking>0) {failed=true; return ;}
                                EarlyExitException eee =
                                    new EarlyExitException(35, input);
                                throw eee;
                        }
                        cnt35++;
                    } while (true);


                    }
                    break;
                case 2 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:294:4: {...}? =>~ ( WikiBlockSymbol | Symbol ) (~ ( Symbol | WhiteSpace | '\\n' | '\\r' ) )*
                    {
                    if ( !(getCharPositionInLine() == 0) ) {
                        if (backtracking>0) {failed=true; return ;}
                        throw new FailedPredicateException(input, "Word", "getCharPositionInLine() == 0");
                    }
                    if ( (input.LA(1)>='\u0000' && input.LA(1)<='!')||(input.LA(1)>='#' && input.LA(1)<='\'')||input.LA(1)=='+'||(input.LA(1)>='-' && input.LA(1)<='.')||(input.LA(1)>='0' && input.LA(1)<=';')||input.LA(1)=='?'||(input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='\\'||(input.LA(1)>='^' && input.LA(1)<='z')||input.LA(1)=='|'||(input.LA(1)>='~' && input.LA(1)<='\uFFFE') ) {
                        input.consume();
                    failed=false;
                    }
                    else {
                        if (backtracking>0) {failed=true; return ;}
                        MismatchedSetException mse =
                            new MismatchedSetException(null,input);
                        recover(mse);    throw mse;
                    }

                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:294:67: (~ ( Symbol | WhiteSpace | '\\n' | '\\r' ) )*
                    loop36:
                    do {
                        int alt36=2;
                        int LA36_0 = input.LA(1);

                        if ( ((LA36_0>='\u0000' && LA36_0<='\b')||LA36_0=='\u000B'||(LA36_0>='\u000E' && LA36_0<='\u001F')||LA36_0=='!'||(LA36_0>='#' && LA36_0<='\'')||LA36_0=='+'||(LA36_0>='-' && LA36_0<='.')||(LA36_0>='0' && LA36_0<=';')||LA36_0=='?'||(LA36_0>='A' && LA36_0<='Z')||LA36_0=='\\'||(LA36_0>='^' && LA36_0<='z')||LA36_0=='|'||(LA36_0>='~' && LA36_0<='\uFFFE')) ) {
                            alt36=1;
                        }


                        switch (alt36) {
                    	case 1 :
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:294:68: ~ ( Symbol | WhiteSpace | '\\n' | '\\r' )
                    	    {
                    	    if ( (input.LA(1)>='\u0000' && input.LA(1)<='\b')||input.LA(1)=='\u000B'||(input.LA(1)>='\u000E' && input.LA(1)<='\u001F')||input.LA(1)=='!'||(input.LA(1)>='#' && input.LA(1)<='\'')||input.LA(1)=='+'||(input.LA(1)>='-' && input.LA(1)<='.')||(input.LA(1)>='0' && input.LA(1)<=';')||input.LA(1)=='?'||(input.LA(1)>='A' && input.LA(1)<='Z')||input.LA(1)=='\\'||(input.LA(1)>='^' && input.LA(1)<='z')||input.LA(1)=='|'||(input.LA(1)>='~' && input.LA(1)<='\uFFFE') ) {
                    	        input.consume();
                    	    failed=false;
                    	    }
                    	    else {
                    	        if (backtracking>0) {failed=true; return ;}
                    	        MismatchedSetException mse =
                    	            new MismatchedSetException(null,input);
                    	        recover(mse);    throw mse;
                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop36;
                        }
                    } while (true);


                    }
                    break;
                case 3 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:295:4: ( '!' WikiName )=> '!' WikiName
                    {
                    match('!'); if (failed) return ;
                    mWikiName(); if (failed) return ;
                    if ( backtracking==0 ) {
                       setText(getText().substring(1)); 
                    }

                    }
                    break;
                case 4 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:296:4: ( '!' InternetLink )=> '!' InternetLink
                    {
                    match('!'); if (failed) return ;
                    mInternetLink(); if (failed) return ;
                    if ( backtracking==0 ) {
                       setText(getText().substring(1)); 
                    }

                    }
                    break;

            }
            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end Word

    // $ANTLR start PreText
    public final void mPreText() throws RecognitionException {
        try {
            int _type = PreText;
            // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:303:2: ( '<pre>' ( options {greedy=false; } : . )* '</pre>' | '{{' ( options {greedy=false; } : . )* '}}' )
            int alt40=2;
            int LA40_0 = input.LA(1);

            if ( (LA40_0=='<') ) {
                alt40=1;
            }
            else if ( (LA40_0=='{') ) {
                alt40=2;
            }
            else {
                if (backtracking>0) {failed=true; return ;}
                NoViableAltException nvae =
                    new NoViableAltException("302:1: PreText : ( '<pre>' ( options {greedy=false; } : . )* '</pre>' | '{{' ( options {greedy=false; } : . )* '}}' );", 40, 0, input);

                throw nvae;
            }
            switch (alt40) {
                case 1 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:303:4: '<pre>' ( options {greedy=false; } : . )* '</pre>'
                    {
                    match("<pre>"); if (failed) return ;

                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:303:12: ( options {greedy=false; } : . )*
                    loop38:
                    do {
                        int alt38=2;
                        int LA38_0 = input.LA(1);

                        if ( (LA38_0=='<') ) {
                            int LA38_1 = input.LA(2);

                            if ( (LA38_1=='/') ) {
                                int LA38_3 = input.LA(3);

                                if ( (LA38_3=='p') ) {
                                    int LA38_4 = input.LA(4);

                                    if ( (LA38_4=='r') ) {
                                        int LA38_5 = input.LA(5);

                                        if ( (LA38_5=='e') ) {
                                            int LA38_6 = input.LA(6);

                                            if ( (LA38_6=='>') ) {
                                                alt38=2;
                                            }
                                            else if ( ((LA38_6>='\u0000' && LA38_6<='=')||(LA38_6>='?' && LA38_6<='\uFFFE')) ) {
                                                alt38=1;
                                            }


                                        }
                                        else if ( ((LA38_5>='\u0000' && LA38_5<='d')||(LA38_5>='f' && LA38_5<='\uFFFE')) ) {
                                            alt38=1;
                                        }


                                    }
                                    else if ( ((LA38_4>='\u0000' && LA38_4<='q')||(LA38_4>='s' && LA38_4<='\uFFFE')) ) {
                                        alt38=1;
                                    }


                                }
                                else if ( ((LA38_3>='\u0000' && LA38_3<='o')||(LA38_3>='q' && LA38_3<='\uFFFE')) ) {
                                    alt38=1;
                                }


                            }
                            else if ( ((LA38_1>='\u0000' && LA38_1<='.')||(LA38_1>='0' && LA38_1<='\uFFFE')) ) {
                                alt38=1;
                            }


                        }
                        else if ( ((LA38_0>='\u0000' && LA38_0<=';')||(LA38_0>='=' && LA38_0<='\uFFFE')) ) {
                            alt38=1;
                        }


                        switch (alt38) {
                    	case 1 :
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:303:39: .
                    	    {
                    	    matchAny(); if (failed) return ;

                    	    }
                    	    break;

                    	default :
                    	    break loop38;
                        }
                    } while (true);

                    match("</pre>"); if (failed) return ;

                    if ( backtracking==0 ) {
                       
                      	  String tmp = getText(); 
                      	  setText(tmp.substring(5, tmp.length()-6));
                      	
                    }

                    }
                    break;
                case 2 :
                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:308:4: '{{' ( options {greedy=false; } : . )* '}}'
                    {
                    match("{{"); if (failed) return ;

                    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:308:9: ( options {greedy=false; } : . )*
                    loop39:
                    do {
                        int alt39=2;
                        int LA39_0 = input.LA(1);

                        if ( (LA39_0=='}') ) {
                            int LA39_1 = input.LA(2);

                            if ( (LA39_1=='}') ) {
                                alt39=2;
                            }
                            else if ( ((LA39_1>='\u0000' && LA39_1<='|')||(LA39_1>='~' && LA39_1<='\uFFFE')) ) {
                                alt39=1;
                            }


                        }
                        else if ( ((LA39_0>='\u0000' && LA39_0<='|')||(LA39_0>='~' && LA39_0<='\uFFFE')) ) {
                            alt39=1;
                        }


                        switch (alt39) {
                    	case 1 :
                    	    // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:308:36: .
                    	    {
                    	    matchAny(); if (failed) return ;

                    	    }
                    	    break;

                    	default :
                    	    break loop39;
                        }
                    } while (true);

                    match("}}"); if (failed) return ;

                    if ( backtracking==0 ) {
                      
                      	  String tmp = getText(); 
                      	  setText(tmp.substring(2, tmp.length()-2));
                      	
                    }

                    }
                    break;

            }
            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end PreText

    public void mTokens() throws RecognitionException {
        // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:8: ( T77 | T78 | T79 | T80 | ML_COMMENT | LINE_COMMENT | NEWLINE | LineBreak | WhiteSpaces | H1 | H2 | H3 | I1 | I2 | I3 | O1 | O2 | O3 | StringLiteral | Dot | LParen | RParen | LBracket | RBracket | LBrace | RBrace | Lt | Gt | Slash | At | Comma | Colon | Eq | Star | CloseTagBegin | WikiName | InternetLink | FunctionName | Word | PreText )
        int alt41=40;
        alt41 = dfa41.predict(input);
        switch (alt41) {
            case 1 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:10: T77
                {
                mT77(); if (failed) return ;

                }
                break;
            case 2 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:14: T78
                {
                mT78(); if (failed) return ;

                }
                break;
            case 3 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:18: T79
                {
                mT79(); if (failed) return ;

                }
                break;
            case 4 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:22: T80
                {
                mT80(); if (failed) return ;

                }
                break;
            case 5 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:26: ML_COMMENT
                {
                mML_COMMENT(); if (failed) return ;

                }
                break;
            case 6 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:37: LINE_COMMENT
                {
                mLINE_COMMENT(); if (failed) return ;

                }
                break;
            case 7 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:50: NEWLINE
                {
                mNEWLINE(); if (failed) return ;

                }
                break;
            case 8 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:58: LineBreak
                {
                mLineBreak(); if (failed) return ;

                }
                break;
            case 9 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:68: WhiteSpaces
                {
                mWhiteSpaces(); if (failed) return ;

                }
                break;
            case 10 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:80: H1
                {
                mH1(); if (failed) return ;

                }
                break;
            case 11 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:83: H2
                {
                mH2(); if (failed) return ;

                }
                break;
            case 12 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:86: H3
                {
                mH3(); if (failed) return ;

                }
                break;
            case 13 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:89: I1
                {
                mI1(); if (failed) return ;

                }
                break;
            case 14 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:92: I2
                {
                mI2(); if (failed) return ;

                }
                break;
            case 15 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:95: I3
                {
                mI3(); if (failed) return ;

                }
                break;
            case 16 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:98: O1
                {
                mO1(); if (failed) return ;

                }
                break;
            case 17 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:101: O2
                {
                mO2(); if (failed) return ;

                }
                break;
            case 18 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:104: O3
                {
                mO3(); if (failed) return ;

                }
                break;
            case 19 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:107: StringLiteral
                {
                mStringLiteral(); if (failed) return ;

                }
                break;
            case 20 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:121: Dot
                {
                mDot(); if (failed) return ;

                }
                break;
            case 21 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:125: LParen
                {
                mLParen(); if (failed) return ;

                }
                break;
            case 22 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:132: RParen
                {
                mRParen(); if (failed) return ;

                }
                break;
            case 23 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:139: LBracket
                {
                mLBracket(); if (failed) return ;

                }
                break;
            case 24 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:148: RBracket
                {
                mRBracket(); if (failed) return ;

                }
                break;
            case 25 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:157: LBrace
                {
                mLBrace(); if (failed) return ;

                }
                break;
            case 26 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:164: RBrace
                {
                mRBrace(); if (failed) return ;

                }
                break;
            case 27 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:171: Lt
                {
                mLt(); if (failed) return ;

                }
                break;
            case 28 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:174: Gt
                {
                mGt(); if (failed) return ;

                }
                break;
            case 29 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:177: Slash
                {
                mSlash(); if (failed) return ;

                }
                break;
            case 30 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:183: At
                {
                mAt(); if (failed) return ;

                }
                break;
            case 31 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:186: Comma
                {
                mComma(); if (failed) return ;

                }
                break;
            case 32 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:192: Colon
                {
                mColon(); if (failed) return ;

                }
                break;
            case 33 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:198: Eq
                {
                mEq(); if (failed) return ;

                }
                break;
            case 34 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:201: Star
                {
                mStar(); if (failed) return ;

                }
                break;
            case 35 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:206: CloseTagBegin
                {
                mCloseTagBegin(); if (failed) return ;

                }
                break;
            case 36 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:220: WikiName
                {
                mWikiName(); if (failed) return ;

                }
                break;
            case 37 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:229: InternetLink
                {
                mInternetLink(); if (failed) return ;

                }
                break;
            case 38 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:242: FunctionName
                {
                mFunctionName(); if (failed) return ;

                }
                break;
            case 39 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:255: Word
                {
                mWord(); if (failed) return ;

                }
                break;
            case 40 :
                // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:1:260: PreText
                {
                mPreText(); if (failed) return ;

                }
                break;

        }

    }

    // $ANTLR start synpred1
    public final void synpred1_fragment() throws RecognitionException {   
        // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:279:4: ( ProtocolPrefix )
        // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:279:5: ProtocolPrefix
        {
        mProtocolPrefix(); if (failed) return ;

        }
    }
    // $ANTLR end synpred1

    // $ANTLR start synpred2
    public final void synpred2_fragment() throws RecognitionException {   
        // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:4: (~ ( '!' ) )
        // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:280:5: ~ ( '!' )
        {
        if ( (input.LA(1)>='\u0000' && input.LA(1)<=' ')||(input.LA(1)>='\"' && input.LA(1)<='\uFFFE') ) {
            input.consume();
        failed=false;
        }
        else {
            if (backtracking>0) {failed=true; return ;}
            MismatchedSetException mse =
                new MismatchedSetException(null,input);
            recover(mse);    throw mse;
        }


        }
    }
    // $ANTLR end synpred2

    // $ANTLR start synpred4
    public final void synpred4_fragment() throws RecognitionException {   
        // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:295:4: ( '!' WikiName )
        // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:295:5: '!' WikiName
        {
        match('!'); if (failed) return ;
        mWikiName(); if (failed) return ;

        }
    }
    // $ANTLR end synpred4

    // $ANTLR start synpred5
    public final void synpred5_fragment() throws RecognitionException {   
        // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:296:4: ( '!' InternetLink )
        // F:\\cygwin\\home\\leo\\work\\eclipse\\workspace\\xerial\\xerial-wiki\\src\\main\\java\\org\\xerial\\wiki\\impl\\Wiki.g:296:5: '!' InternetLink
        {
        match('!'); if (failed) return ;
        mInternetLink(); if (failed) return ;

        }
    }
    // $ANTLR end synpred5

    public final boolean synpred4() {
        backtracking++;
        int start = input.mark();
        try {
            synpred4_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !failed;
        input.rewind(start);
        backtracking--;
        failed=false;
        return success;
    }
    public final boolean synpred2() {
        backtracking++;
        int start = input.mark();
        try {
            synpred2_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !failed;
        input.rewind(start);
        backtracking--;
        failed=false;
        return success;
    }
    public final boolean synpred1() {
        backtracking++;
        int start = input.mark();
        try {
            synpred1_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !failed;
        input.rewind(start);
        backtracking--;
        failed=false;
        return success;
    }
    public final boolean synpred5() {
        backtracking++;
        int start = input.mark();
        try {
            synpred5_fragment(); // can never throw exception
        } catch (RecognitionException re) {
            System.err.println("impossible: "+re);
        }
        boolean success = !failed;
        input.rewind(start);
        backtracking--;
        failed=false;
        return success;
    }


    protected DFA23 dfa23 = new DFA23(this);
    protected DFA21 dfa21 = new DFA21(this);
    protected DFA37 dfa37 = new DFA37(this);
    protected DFA41 dfa41 = new DFA41(this);
    static final String DFA23_eotS =
        "\5\uffff\1\6\1\uffff";
    static final String DFA23_eofS =
        "\7\uffff";
    static final String DFA23_minS =
        "\2\101\1\57\1\101\1\uffff\1\57\1\uffff";
    static final String DFA23_maxS =
        "\1\132\3\172\1\uffff\1\172\1\uffff";
    static final String DFA23_acceptS =
        "\4\uffff\1\2\1\uffff\1\1";
    static final String DFA23_specialS =
        "\7\uffff}>";
    static final String[] DFA23_transitionS = {
            "\32\1",
            "\32\1\6\uffff\32\2",
            "\1\4\21\uffff\32\3\6\uffff\32\2",
            "\32\3\6\uffff\32\5",
            "",
            "\1\4\21\uffff\32\4\6\uffff\32\5",
            ""
    };

    static final short[] DFA23_eot = DFA.unpackEncodedString(DFA23_eotS);
    static final short[] DFA23_eof = DFA.unpackEncodedString(DFA23_eofS);
    static final char[] DFA23_min = DFA.unpackEncodedStringToUnsignedChars(DFA23_minS);
    static final char[] DFA23_max = DFA.unpackEncodedStringToUnsignedChars(DFA23_maxS);
    static final short[] DFA23_accept = DFA.unpackEncodedString(DFA23_acceptS);
    static final short[] DFA23_special = DFA.unpackEncodedString(DFA23_specialS);
    static final short[][] DFA23_transition;

    static {
        int numStates = DFA23_transitionS.length;
        DFA23_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA23_transition[i] = DFA.unpackEncodedString(DFA23_transitionS[i]);
        }
    }

    class DFA23 extends DFA {

        public DFA23(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 23;
            this.eot = DFA23_eot;
            this.eof = DFA23_eof;
            this.min = DFA23_min;
            this.max = DFA23_max;
            this.accept = DFA23_accept;
            this.special = DFA23_special;
            this.transition = DFA23_transition;
        }
        public String getDescription() {
            return "273:1: WikiName : ( WikiNameUnit WikiNameUnit | ( WikiNameUnit )+ ( Slash ( WikiNameUnit )+ )+ WikiNameUnit WikiNameUnit );";
        }
    }
    static final String DFA21_eotS =
        "\6\uffff\1\2";
    static final String DFA21_eofS =
        "\7\uffff";
    static final String DFA21_minS =
        "\1\57\1\101\1\uffff\1\57\1\101\1\uffff\1\57";
    static final String DFA21_maxS =
        "\1\132\1\172\1\uffff\2\172\1\uffff\1\172";
    static final String DFA21_acceptS =
        "\2\uffff\1\2\2\uffff\1\1\1\uffff";
    static final String DFA21_specialS =
        "\7\uffff}>";
    static final String[] DFA21_transitionS = {
            "\1\2\21\uffff\32\1",
            "\32\1\6\uffff\32\3",
            "",
            "\1\5\21\uffff\32\4\6\uffff\32\3",
            "\32\4\6\uffff\32\6",
            "",
            "\1\5\21\uffff\32\5\6\uffff\32\6"
    };

    static final short[] DFA21_eot = DFA.unpackEncodedString(DFA21_eotS);
    static final short[] DFA21_eof = DFA.unpackEncodedString(DFA21_eofS);
    static final char[] DFA21_min = DFA.unpackEncodedStringToUnsignedChars(DFA21_minS);
    static final char[] DFA21_max = DFA.unpackEncodedStringToUnsignedChars(DFA21_maxS);
    static final short[] DFA21_accept = DFA.unpackEncodedString(DFA21_acceptS);
    static final short[] DFA21_special = DFA.unpackEncodedString(DFA21_specialS);
    static final short[][] DFA21_transition;

    static {
        int numStates = DFA21_transitionS.length;
        DFA21_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA21_transition[i] = DFA.unpackEncodedString(DFA21_transitionS[i]);
        }
    }

    class DFA21 extends DFA {

        public DFA21(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 21;
            this.eot = DFA21_eot;
            this.eof = DFA21_eof;
            this.min = DFA21_min;
            this.max = DFA21_max;
            this.accept = DFA21_accept;
            this.special = DFA21_special;
            this.transition = DFA21_transition;
        }
        public String getDescription() {
            return "()+ loopback of 275:25: ( WikiNameUnit )+";
        }
    }
    static final String DFA37_eotS =
        "\11\uffff\1\14\3\uffff\1\14\3\uffff\3\14\2\uffff\1\14\1\uffff\3"+
        "\14\2\uffff";
    static final String DFA37_eofS =
        "\35\uffff";
    static final String DFA37_minS =
        "\1\0\1\55\1\uffff\1\0\5\uffff\1\55\3\uffff\1\55\3\uffff\3\55\1\uffff"+
        "\1\0\1\55\1\uffff\3\55\1\0\1\uffff";
    static final String DFA37_maxS =
        "\1\ufffe\1\172\1\uffff\1\0\5\uffff\1\172\3\uffff\1\172\3\uffff\3"+
        "\172\1\uffff\1\0\1\172\1\uffff\3\172\1\0\1\uffff";
    static final String DFA37_acceptS =
        "\2\uffff\1\2\1\uffff\5\4\1\uffff\1\4\1\1\1\4\1\uffff\3\4\3\uffff"+
        "\1\4\2\uffff\1\3\4\uffff\1\3";
    static final String DFA37_specialS =
        "\1\4\1\11\1\uffff\1\1\5\uffff\1\5\3\uffff\1\0\3\uffff\1\13\1\6\1"+
        "\2\1\uffff\1\3\1\14\1\uffff\1\7\1\15\1\12\1\10\1\uffff}>";
    static final String[] DFA37_transitionS = {
            "\11\3\2\2\1\3\2\2\22\3\1\2\1\1\1\uffff\5\3\3\uffff\1\3\1\uffff"+
            "\2\3\1\uffff\14\3\3\uffff\1\3\1\uffff\32\3\1\uffff\1\3\1\uffff"+
            "\35\3\1\uffff\1\3\1\uffff\uff81\3",
            "\2\12\1\10\12\12\6\uffff\1\12\32\11\4\uffff\1\12\1\uffff\5\12"+
            "\1\5\1\12\1\4\11\12\1\7\1\6\7\12",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "\2\12\1\17\12\12\1\16\4\uffff\1\20\1\12\32\11\4\uffff\1\12\1"+
            "\uffff\32\15",
            "",
            "",
            "",
            "\2\12\1\21\12\12\1\16\4\uffff\1\20\1\12\32\22\4\uffff\1\12\1"+
            "\uffff\32\15",
            "",
            "",
            "",
            "\2\24\1\17\12\24\5\uffff\1\20\1\24\32\23\4\uffff\1\24\1\uffff"+
            "\32\24",
            "\2\12\1\17\12\12\1\16\4\uffff\1\20\1\12\32\22\4\uffff\1\12\1"+
            "\uffff\32\25",
            "\2\24\1\17\12\24\5\uffff\1\20\1\24\32\23\4\uffff\1\24\1\uffff"+
            "\32\26",
            "",
            "\1\uffff",
            "\2\24\1\21\12\24\5\uffff\1\20\1\24\32\30\4\uffff\1\24\1\uffff"+
            "\32\26",
            "",
            "\2\24\1\17\12\24\5\uffff\1\20\1\24\32\30\4\uffff\1\24\1\uffff"+
            "\32\31",
            "\2\24\1\21\12\24\5\uffff\1\20\1\24\32\32\4\uffff\1\24\1\uffff"+
            "\32\31",
            "\2\24\1\17\12\24\5\uffff\1\20\1\24\32\32\4\uffff\1\24\1\uffff"+
            "\32\33",
            "\1\uffff",
            ""
    };

    static final short[] DFA37_eot = DFA.unpackEncodedString(DFA37_eotS);
    static final short[] DFA37_eof = DFA.unpackEncodedString(DFA37_eofS);
    static final char[] DFA37_min = DFA.unpackEncodedStringToUnsignedChars(DFA37_minS);
    static final char[] DFA37_max = DFA.unpackEncodedStringToUnsignedChars(DFA37_maxS);
    static final short[] DFA37_accept = DFA.unpackEncodedString(DFA37_acceptS);
    static final short[] DFA37_special = DFA.unpackEncodedString(DFA37_specialS);
    static final short[][] DFA37_transition;

    static {
        int numStates = DFA37_transitionS.length;
        DFA37_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA37_transition[i] = DFA.unpackEncodedString(DFA37_transitionS[i]);
        }
    }

    class DFA37 extends DFA {

        public DFA37(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 37;
            this.eot = DFA37_eot;
            this.eof = DFA37_eof;
            this.min = DFA37_min;
            this.max = DFA37_max;
            this.accept = DFA37_accept;
            this.special = DFA37_special;
            this.transition = DFA37_transition;
        }
        public String getDescription() {
            return "292:1: Word : ({...}? => (~ ( Symbol | WhiteSpace | '\\n' | '\\r' ) )+ | {...}? =>~ ( WikiBlockSymbol | Symbol ) (~ ( Symbol | WhiteSpace | '\\n' | '\\r' ) )* | ( '!' WikiName )=> '!' WikiName | ( '!' InternetLink )=> '!' InternetLink );";
        }
        public int specialStateTransition(int s, IntStream input) throws NoViableAltException {
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA37_13 = input.LA(1);

                         
                        int index37_13 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA37_13=='/') ) {s = 17;}

                        else if ( ((LA37_13>='A' && LA37_13<='Z')) ) {s = 18;}

                        else if ( ((LA37_13>='a' && LA37_13<='z')) ) {s = 13;}

                        else if ( (LA37_13==':') && (synpred5())) {s = 14;}

                        else if ( (LA37_13=='?') && (synpred5())) {s = 16;}

                        else if ( ((LA37_13>='-' && LA37_13<='.')||(LA37_13>='0' && LA37_13<='9')||LA37_13=='@'||LA37_13=='_') && (synpred5())) {s = 10;}

                        else s = 12;

                         
                        input.seek(index37_13);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA37_3 = input.LA(1);

                         
                        int index37_3 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (getCharPositionInLine() > 0 ) ) {s = 11;}

                        else if ( (getCharPositionInLine() == 0) ) {s = 2;}

                         
                        input.seek(index37_3);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA37_19 = input.LA(1);

                         
                        int index37_19 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA37_19=='?') && (synpred5())) {s = 16;}

                        else if ( (LA37_19=='/') && (synpred5())) {s = 15;}

                        else if ( ((LA37_19>='a' && LA37_19<='z')) ) {s = 22;}

                        else if ( ((LA37_19>='A' && LA37_19<='Z')) ) {s = 19;}

                        else if ( ((LA37_19>='-' && LA37_19<='.')||(LA37_19>='0' && LA37_19<='9')||LA37_19=='@'||LA37_19=='_') && (synpred5())) {s = 20;}

                        else s = 12;

                         
                        input.seek(index37_19);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA37_21 = input.LA(1);

                         
                        int index37_21 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred4()) ) {s = 23;}

                        else if ( (synpred5()) ) {s = 20;}

                         
                        input.seek(index37_21);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA37_0 = input.LA(1);

                         
                        int index37_0 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA37_0=='!') && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 1;}

                        else if ( ((LA37_0>='\t' && LA37_0<='\n')||(LA37_0>='\f' && LA37_0<='\r')||LA37_0==' ') && (getCharPositionInLine() == 0)) {s = 2;}

                        else if ( ((LA37_0>='\u0000' && LA37_0<='\b')||LA37_0=='\u000B'||(LA37_0>='\u000E' && LA37_0<='\u001F')||(LA37_0>='#' && LA37_0<='\'')||LA37_0=='+'||(LA37_0>='-' && LA37_0<='.')||(LA37_0>='0' && LA37_0<=';')||LA37_0=='?'||(LA37_0>='A' && LA37_0<='Z')||LA37_0=='\\'||(LA37_0>='^' && LA37_0<='z')||LA37_0=='|'||(LA37_0>='~' && LA37_0<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 3;}

                         
                        input.seek(index37_0);
                        if ( s>=0 ) return s;
                        break;
                    case 5 : 
                        int LA37_9 = input.LA(1);

                         
                        int index37_9 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA37_9>='a' && LA37_9<='z')) ) {s = 13;}

                        else if ( ((LA37_9>='A' && LA37_9<='Z')) ) {s = 9;}

                        else if ( (LA37_9==':') && (synpred5())) {s = 14;}

                        else if ( (LA37_9=='/') && (synpred5())) {s = 15;}

                        else if ( (LA37_9=='?') && (synpred5())) {s = 16;}

                        else if ( ((LA37_9>='-' && LA37_9<='.')||(LA37_9>='0' && LA37_9<='9')||LA37_9=='@'||LA37_9=='_') && (synpred5())) {s = 10;}

                        else s = 12;

                         
                        input.seek(index37_9);
                        if ( s>=0 ) return s;
                        break;
                    case 6 : 
                        int LA37_18 = input.LA(1);

                         
                        int index37_18 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA37_18>='a' && LA37_18<='z')) ) {s = 21;}

                        else if ( ((LA37_18>='A' && LA37_18<='Z')) ) {s = 18;}

                        else if ( (LA37_18==':') && (synpred5())) {s = 14;}

                        else if ( (LA37_18=='/') && (synpred5())) {s = 15;}

                        else if ( (LA37_18=='?') && (synpred5())) {s = 16;}

                        else if ( ((LA37_18>='-' && LA37_18<='.')||(LA37_18>='0' && LA37_18<='9')||LA37_18=='@'||LA37_18=='_') && (synpred5())) {s = 10;}

                        else s = 12;

                         
                        input.seek(index37_18);
                        if ( s>=0 ) return s;
                        break;
                    case 7 : 
                        int LA37_24 = input.LA(1);

                         
                        int index37_24 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA37_24=='?') && (synpred5())) {s = 16;}

                        else if ( (LA37_24=='/') && (synpred5())) {s = 15;}

                        else if ( ((LA37_24>='a' && LA37_24<='z')) ) {s = 25;}

                        else if ( ((LA37_24>='A' && LA37_24<='Z')) ) {s = 24;}

                        else if ( ((LA37_24>='-' && LA37_24<='.')||(LA37_24>='0' && LA37_24<='9')||LA37_24=='@'||LA37_24=='_') && (synpred5())) {s = 20;}

                        else s = 12;

                         
                        input.seek(index37_24);
                        if ( s>=0 ) return s;
                        break;
                    case 8 : 
                        int LA37_27 = input.LA(1);

                         
                        int index37_27 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (synpred4()) ) {s = 28;}

                        else if ( (synpred5()) ) {s = 20;}

                         
                        input.seek(index37_27);
                        if ( s>=0 ) return s;
                        break;
                    case 9 : 
                        int LA37_1 = input.LA(1);

                         
                        int index37_1 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA37_1=='h') && (synpred5())) {s = 4;}

                        else if ( (LA37_1=='f') && (synpred5())) {s = 5;}

                        else if ( (LA37_1=='s') && (synpred5())) {s = 6;}

                        else if ( (LA37_1=='r') && (synpred5())) {s = 7;}

                        else if ( (LA37_1=='/') && (synpred5())) {s = 8;}

                        else if ( ((LA37_1>='A' && LA37_1<='Z')) ) {s = 9;}

                        else if ( ((LA37_1>='-' && LA37_1<='.')||(LA37_1>='0' && LA37_1<='9')||LA37_1=='@'||LA37_1=='_'||(LA37_1>='a' && LA37_1<='e')||LA37_1=='g'||(LA37_1>='i' && LA37_1<='q')||(LA37_1>='t' && LA37_1<='z')) && (synpred5())) {s = 10;}

                        else if ( (getCharPositionInLine() > 0 ) ) {s = 11;}

                        else if ( (getCharPositionInLine() == 0) ) {s = 2;}

                         
                        input.seek(index37_1);
                        if ( s>=0 ) return s;
                        break;
                    case 10 : 
                        int LA37_26 = input.LA(1);

                         
                        int index37_26 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA37_26>='a' && LA37_26<='z')) ) {s = 27;}

                        else if ( ((LA37_26>='A' && LA37_26<='Z')) ) {s = 26;}

                        else if ( (LA37_26=='?') && (synpred5())) {s = 16;}

                        else if ( (LA37_26=='/') && (synpred5())) {s = 15;}

                        else if ( ((LA37_26>='-' && LA37_26<='.')||(LA37_26>='0' && LA37_26<='9')||LA37_26=='@'||LA37_26=='_') && (synpred5())) {s = 20;}

                        else s = 12;

                         
                        input.seek(index37_26);
                        if ( s>=0 ) return s;
                        break;
                    case 11 : 
                        int LA37_17 = input.LA(1);

                         
                        int index37_17 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA37_17>='A' && LA37_17<='Z')) ) {s = 19;}

                        else if ( (LA37_17=='?') && (synpred5())) {s = 16;}

                        else if ( (LA37_17=='/') && (synpred5())) {s = 15;}

                        else if ( ((LA37_17>='-' && LA37_17<='.')||(LA37_17>='0' && LA37_17<='9')||LA37_17=='@'||LA37_17=='_'||(LA37_17>='a' && LA37_17<='z')) && (synpred5())) {s = 20;}

                        else s = 12;

                         
                        input.seek(index37_17);
                        if ( s>=0 ) return s;
                        break;
                    case 12 : 
                        int LA37_22 = input.LA(1);

                         
                        int index37_22 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA37_22>='A' && LA37_22<='Z')) ) {s = 24;}

                        else if ( (LA37_22=='/') ) {s = 17;}

                        else if ( ((LA37_22>='a' && LA37_22<='z')) ) {s = 22;}

                        else if ( (LA37_22=='?') && (synpred5())) {s = 16;}

                        else if ( ((LA37_22>='-' && LA37_22<='.')||(LA37_22>='0' && LA37_22<='9')||LA37_22=='@'||LA37_22=='_') && (synpred5())) {s = 20;}

                        else s = 12;

                         
                        input.seek(index37_22);
                        if ( s>=0 ) return s;
                        break;
                    case 13 : 
                        int LA37_25 = input.LA(1);

                         
                        int index37_25 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA37_25>='A' && LA37_25<='Z')) ) {s = 26;}

                        else if ( ((LA37_25>='a' && LA37_25<='z')) ) {s = 25;}

                        else if ( (LA37_25=='/') ) {s = 17;}

                        else if ( (LA37_25=='?') && (synpred5())) {s = 16;}

                        else if ( ((LA37_25>='-' && LA37_25<='.')||(LA37_25>='0' && LA37_25<='9')||LA37_25=='@'||LA37_25=='_') && (synpred5())) {s = 20;}

                        else s = 12;

                         
                        input.seek(index37_25);
                        if ( s>=0 ) return s;
                        break;
            }
            if (backtracking>0) {failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 37, _s, input);
            error(nvae);
            throw nvae;
        }
    }
    static final String DFA41_eotS =
        "\1\uffff\1\40\1\41\1\44\1\51\1\53\1\55\1\57\1\61\1\64\1\66\1\70"+
        "\1\72\6\uffff\1\75\1\uffff\1\77\1\101\1\104\1\106\1\110\1\112\1"+
        "\113\27\uffff\1\116\1\uffff\1\122\1\uffff\1\126\1\uffff\1\130\1"+
        "\uffff\1\133\1\134\1\uffff\1\52\1\uffff\1\141\1\uffff\1\144\1\146"+
        "\1\uffff\1\150\1\uffff\1\152\1\uffff\1\154\13\uffff\1\155\3\uffff"+
        "\1\157\1\160\3\uffff\1\52\3\uffff\1\52\1\162\1\uffff\1\165\1\uffff"+
        "\1\166\1\uffff\1\171\1\uffff\1\173\5\uffff\1\52\1\uffff\1\176\1"+
        "\u0081\2\uffff\1\130\1\u0082\1\uffff\1\u0084\2\uffff\1\52\1\uffff"+
        "\1\u0086\1\u0088\2\uffff\1\u0089\1\uffff\1\52\1\uffff\1\u008b\2"+
        "\uffff\1\52\1\uffff\1\52\1\176";
    static final String DFA41_eofS =
        "\u008e\uffff";
    static final String DFA41_minS =
        "\1\0\1\142\2\0\1\52\1\12\1\0\1\57\1\0\1\75\1\52\2\0\6\uffff\1\55"+
        "\1\uffff\7\0\10\uffff\1\0\10\uffff\1\0\3\uffff\1\0\1\uffff\1\75"+
        "\1\0\1\52\4\0\1\uffff\2\0\1\uffff\1\50\15\0\11\uffff\2\0\2\uffff"+
        "\4\0\1\60\1\50\2\uffff\1\0\1\101\13\0\1\uffff\2\0\1\101\12\0\1\uffff"+
        "\1\57\1\uffff\6\0\1\101\4\0\1\57\1\0\1\101\1\55";
    static final String DFA41_maxS =
        "\1\ufffe\1\173\2\ufffe\1\172\1\12\1\ufffe\1\160\1\ufffe\1\75\1\52"+
        "\2\ufffe\6\uffff\1\172\1\uffff\7\ufffe\10\uffff\1\0\10\uffff\1\0"+
        "\3\uffff\1\0\1\uffff\1\75\1\0\1\52\1\0\1\ufffe\1\0\1\ufffe\1\uffff"+
        "\2\ufffe\1\uffff\1\172\1\0\1\ufffe\1\0\2\ufffe\1\0\1\ufffe\1\0\1"+
        "\ufffe\1\0\1\ufffe\2\0\11\uffff\1\ufffe\1\0\2\uffff\2\ufffe\2\0"+
        "\2\172\2\uffff\1\0\1\132\1\ufffe\1\0\1\ufffe\1\0\1\ufffe\1\0\1\ufffe"+
        "\1\0\1\ufffe\2\0\1\uffff\2\0\1\172\1\0\2\ufffe\2\0\2\ufffe\1\0\1"+
        "\ufffe\1\0\1\uffff\1\172\1\uffff\2\ufffe\2\0\1\ufffe\1\0\1\172\1"+
        "\0\1\ufffe\2\0\1\172\1\0\2\172";
    static final String DFA41_acceptS =
        "\15\uffff\1\25\1\26\1\27\1\30\1\32\1\34\1\uffff\1\37\7\uffff\1\47"+
        "\1\1\1\2\1\50\1\31\1\3\1\23\1\47\1\uffff\2\47\1\5\1\6\1\35\1\45"+
        "\1\47\1\7\1\uffff\1\10\1\33\1\43\1\uffff\1\11\7\uffff\1\24\2\uffff"+
        "\1\36\16\uffff\1\4\1\14\1\13\1\12\1\41\1\17\1\16\1\15\1\42\2\uffff"+
        "\1\20\1\47\6\uffff\1\46\1\40\15\uffff\1\21\15\uffff\1\22\1\uffff"+
        "\1\44\17\uffff";
    static final String DFA41_specialS =
        "\1\55\2\uffff\1\60\1\62\1\107\1\61\1\uffff\1\53\1\120\1\72\1\13"+
        "\1\4\10\uffff\1\5\1\54\1\111\1\67\1\75\1\2\1\102\10\uffff\1\52\10"+
        "\uffff\1\12\3\uffff\1\116\1\uffff\1\121\1\6\1\70\1\122\1\65\1\41"+
        "\1\1\1\uffff\1\71\1\3\2\uffff\1\104\1\73\1\42\1\113\1\114\1\43\1"+
        "\7\1\44\1\76\1\45\1\101\1\46\1\47\11\uffff\1\64\1\106\2\uffff\1"+
        "\63\1\66\1\50\1\51\4\uffff\1\40\1\uffff\1\112\1\37\1\36\1\35\1\74"+
        "\1\34\1\110\1\33\1\100\1\32\1\103\1\uffff\1\31\1\30\1\uffff\1\27"+
        "\1\0\1\77\1\26\1\25\1\11\1\10\1\24\1\105\1\23\3\uffff\1\57\1\56"+
        "\1\22\1\21\1\117\1\20\1\uffff\1\17\1\115\1\16\1\15\1\uffff\1\14"+
        "\2\uffff}>";
    static final String[] DFA41_transitionS = {
            "\11\34\1\10\1\6\1\34\1\10\1\5\22\34\1\10\1\3\1\2\5\34\1\15\1"+
            "\16\1\12\1\13\1\24\1\33\1\14\1\4\12\33\1\25\1\34\1\7\1\11\1"+
            "\22\1\34\1\23\32\26\1\17\1\34\1\20\1\34\1\33\1\34\5\33\1\30"+
            "\1\33\1\27\11\33\1\32\1\31\7\33\1\1\1\34\1\21\uff81\34",
            "\1\35\6\uffff\1\36\21\uffff\1\37",
            "\uffff\42",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\15\43\2\45\3\uffff\1\45\1\46\32\43\1\uffff"+
            "\1\45\1\uffff\1\45\1\43\1\45\32\43\1\uffff\1\45\1\uffff\uff81"+
            "\45",
            "\1\47\2\uffff\2\52\1\50\12\52\6\uffff\33\52\4\uffff\1\52\1\uffff"+
            "\32\52",
            "\1\54",
            "\11\53\2\uffff\1\53\2\uffff\22\53\1\uffff\1\53\1\uffff\5\53"+
            "\3\uffff\1\53\1\uffff\2\53\1\uffff\14\53\3\uffff\1\53\1\uffff"+
            "\32\53\1\uffff\1\53\1\uffff\35\53\1\uffff\1\53\1\uffff\uff81"+
            "\53",
            "\1\60\22\uffff\1\56\55\uffff\1\37",
            "\11\53\1\62\1\uffff\1\53\1\62\1\uffff\22\53\1\62\1\53\1\uffff"+
            "\5\53\3\uffff\1\53\1\uffff\2\53\1\uffff\14\53\3\uffff\1\53\1"+
            "\uffff\32\53\1\uffff\1\53\1\uffff\35\53\1\uffff\1\53\1\uffff"+
            "\uff81\53",
            "\1\63",
            "\1\65",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\67\1\uffff\2\45\1\uffff\14\45\3\uffff\1\45\1\uffff"+
            "\32\45\1\uffff\1\45\1\uffff\35\45\1\uffff\1\45\1\uffff\uff81"+
            "\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\74\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "",
            "",
            "",
            "",
            "",
            "",
            "\16\52\4\uffff\2\52\32\76\4\uffff\1\52\1\uffff\32\76",
            "",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\45\1\uffff\14\45\3\uffff\1\45\1\uffff"+
            "\32\45\1\uffff\1\45\1\uffff\35\45\1\uffff\1\45\1\uffff\uff81"+
            "\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\102\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\100\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\23\74\1\103"+
            "\6\74\1\uffff\1\45\1\uffff\uff81\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\23\74\1\105"+
            "\6\74\1\uffff\1\45\1\uffff\uff81\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\5\74\1\107\24"+
            "\74\1\uffff\1\45\1\uffff\uff81\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\22\74\1\111"+
            "\7\74\1\uffff\1\45\1\uffff\uff81\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\74\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "",
            "",
            "\1\uffff",
            "",
            "\1\115",
            "\1\uffff",
            "\1\121",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\125\1\uffff\2\45\1\uffff\14\45\3\uffff\1\45\1\uffff"+
            "\32\45\1\uffff\1\45\1\uffff\35\45\1\uffff\1\45\1\uffff\uff81"+
            "\45",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\45\1\uffff\12\131\2\45\3\uffff\1\45"+
            "\1\uffff\32\45\1\uffff\1\45\1\uffff\35\45\1\uffff\1\45\1\uffff"+
            "\uff81\45",
            "",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\2\45"+
            "\1\132\2\45\3\uffff\1\45\1\uffff\2\132\1\uffff\12\132\2\45\1"+
            "\uffff\1\52\1\uffff\1\45\1\52\32\132\1\uffff\1\45\1\uffff\1"+
            "\45\1\132\1\45\32\132\1\uffff\1\45\1\uffff\uff81\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\74\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "",
            "\1\137\4\uffff\2\136\1\uffff\12\136\1\135\6\uffff\32\136\4\uffff"+
            "\1\136\1\uffff\32\136",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\142\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\143\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\100\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\102\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\100\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\23\74\1\145"+
            "\6\74\1\uffff\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\17\74\1\147"+
            "\12\74\1\uffff\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\23\74\1\151"+
            "\6\74\1\uffff\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\30\74\1\153"+
            "\1\74\1\uffff\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\1\uffff",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\45\1\uffff\14\45\3\uffff\1\45\1\uffff"+
            "\32\45\1\uffff\1\45\1\uffff\35\45\1\uffff\1\45\1\uffff\uff81"+
            "\45",
            "\1\uffff",
            "",
            "",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\45\1\52\12\131\2\45\3\uffff\1\73\1\uffff"+
            "\32\45\1\uffff\1\45\1\uffff\35\45\1\uffff\1\45\1\uffff\uff81"+
            "\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\2\45"+
            "\1\132\2\45\3\uffff\1\45\1\uffff\2\132\1\uffff\12\132\2\45\1"+
            "\uffff\1\52\1\uffff\1\45\1\52\32\132\1\uffff\1\45\1\uffff\1"+
            "\45\1\132\1\45\32\132\1\uffff\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\1\uffff",
            "\12\52\7\uffff\32\137\6\uffff\32\137",
            "\1\137\4\uffff\2\136\1\uffff\12\136\1\135\6\uffff\32\136\4\uffff"+
            "\1\136\1\uffff\32\136",
            "",
            "",
            "\1\uffff",
            "\32\161",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\143\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\163\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\17\74\1\164"+
            "\12\74\1\uffff\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\167\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\74\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\17\74\1\170"+
            "\12\74\1\uffff\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\15\74\1\172"+
            "\14\74\1\uffff\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\1\uffff",
            "",
            "\1\uffff",
            "\1\uffff",
            "\32\161\6\uffff\32\175",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\142\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\177\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\163\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\167\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\22\74\1\u0080"+
            "\7\74\1\uffff\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\45\1\52\12\131\2\45\3\uffff\1\45\1\uffff"+
            "\32\45\1\uffff\1\45\1\uffff\35\45\1\uffff\1\45\1\uffff\uff81"+
            "\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\167\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\74\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\2\74\1\u0083"+
            "\27\74\1\uffff\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "",
            "\1\142\21\uffff\32\u0085\6\uffff\32\175",
            "",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\177\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\u0087\1"+
            "\uffff\1\45\1\uffff\uff81\45",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\167\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\74\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\52\12\74\1\167\1\45\3\uffff\1\73"+
            "\1\52\32\74\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\74\1\uffff"+
            "\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\32\u0085\6\uffff\32\u008a",
            "\1\uffff",
            "\11\45\2\uffff\1\45\2\uffff\22\45\1\uffff\1\45\1\uffff\5\45"+
            "\3\uffff\1\45\1\uffff\2\74\1\142\12\74\1\71\1\45\3\uffff\1\73"+
            "\1\52\32\177\1\uffff\1\45\1\uffff\1\45\1\74\1\45\32\u0087\1"+
            "\uffff\1\45\1\uffff\uff81\45",
            "\1\uffff",
            "\1\uffff",
            "\1\142\21\uffff\32\u008c\6\uffff\32\u008a",
            "\1\uffff",
            "\32\u008c\6\uffff\32\u008d",
            "\2\52\1\142\12\52\5\uffff\2\52\32\u008c\4\uffff\1\52\1\uffff"+
            "\32\u008d"
    };

    static final short[] DFA41_eot = DFA.unpackEncodedString(DFA41_eotS);
    static final short[] DFA41_eof = DFA.unpackEncodedString(DFA41_eofS);
    static final char[] DFA41_min = DFA.unpackEncodedStringToUnsignedChars(DFA41_minS);
    static final char[] DFA41_max = DFA.unpackEncodedStringToUnsignedChars(DFA41_maxS);
    static final short[] DFA41_accept = DFA.unpackEncodedString(DFA41_acceptS);
    static final short[] DFA41_special = DFA.unpackEncodedString(DFA41_specialS);
    static final short[][] DFA41_transition;

    static {
        int numStates = DFA41_transitionS.length;
        DFA41_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA41_transition[i] = DFA.unpackEncodedString(DFA41_transitionS[i]);
        }
    }

    class DFA41 extends DFA {

        public DFA41(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 41;
            this.eot = DFA41_eot;
            this.eof = DFA41_eof;
            this.min = DFA41_min;
            this.max = DFA41_max;
            this.accept = DFA41_accept;
            this.special = DFA41_special;
            this.transition = DFA41_transition;
        }
        public String getDescription() {
            return "1:1: Tokens : ( T77 | T78 | T79 | T80 | ML_COMMENT | LINE_COMMENT | NEWLINE | LineBreak | WhiteSpaces | H1 | H2 | H3 | I1 | I2 | I3 | O1 | O2 | O3 | StringLiteral | Dot | LParen | RParen | LBracket | RBracket | LBrace | RBrace | Lt | Gt | Slash | At | Comma | Colon | Eq | Star | CloseTagBegin | WikiName | InternetLink | FunctionName | Word | PreText );";
        }
        public int specialStateTransition(int s, IntStream input) throws NoViableAltException {
        	int _s = s;
            switch ( s ) {
                    case 0 : 
                        int LA41_115 = input.LA(1);

                         
                        int index41_115 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_115==':') ) {s = 57;}

                        else if ( (LA41_115=='?') ) {s = 59;}

                        else if ( (LA41_115=='/') ) {s = 98;}

                        else if ( ((LA41_115>='A' && LA41_115<='Z')) ) {s = 127;}

                        else if ( ((LA41_115>='\u0000' && LA41_115<='\b')||LA41_115=='\u000B'||(LA41_115>='\u000E' && LA41_115<='\u001F')||LA41_115=='!'||(LA41_115>='#' && LA41_115<='\'')||LA41_115=='+'||LA41_115==';'||LA41_115=='\\'||LA41_115=='^'||LA41_115=='`'||LA41_115=='|'||(LA41_115>='~' && LA41_115<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else if ( (LA41_115=='@') ) {s = 42;}

                        else if ( ((LA41_115>='a' && LA41_115<='z')) ) {s = 115;}

                        else if ( ((LA41_115>='-' && LA41_115<='.')||(LA41_115>='0' && LA41_115<='9')||LA41_115=='_') ) {s = 60;}

                        else s = 126;

                         
                        input.seek(index41_115);
                        if ( s>=0 ) return s;
                        break;
                    case 1 : 
                        int LA41_57 = input.LA(1);

                         
                        int index41_57 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA41_57>='0' && LA41_57<='9')) ) {s = 89;}

                        else if ( ((LA41_57>='\u0000' && LA41_57<='\b')||LA41_57=='\u000B'||(LA41_57>='\u000E' && LA41_57<='\u001F')||LA41_57=='!'||(LA41_57>='#' && LA41_57<='\'')||LA41_57=='+'||(LA41_57>='-' && LA41_57<='.')||(LA41_57>=':' && LA41_57<=';')||LA41_57=='?'||(LA41_57>='A' && LA41_57<='Z')||LA41_57=='\\'||(LA41_57>='^' && LA41_57<='z')||LA41_57=='|'||(LA41_57>='~' && LA41_57<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 88;

                         
                        input.seek(index41_57);
                        if ( s>=0 ) return s;
                        break;
                    case 2 : 
                        int LA41_26 = input.LA(1);

                         
                        int index41_26 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_26=='s') ) {s = 73;}

                        else if ( (LA41_26==':') ) {s = 57;}

                        else if ( (LA41_26=='?') ) {s = 59;}

                        else if ( (LA41_26=='/'||LA41_26=='@') ) {s = 42;}

                        else if ( ((LA41_26>='-' && LA41_26<='.')||(LA41_26>='0' && LA41_26<='9')||(LA41_26>='A' && LA41_26<='Z')||LA41_26=='_'||(LA41_26>='a' && LA41_26<='r')||(LA41_26>='t' && LA41_26<='z')) ) {s = 60;}

                        else if ( ((LA41_26>='\u0000' && LA41_26<='\b')||LA41_26=='\u000B'||(LA41_26>='\u000E' && LA41_26<='\u001F')||LA41_26=='!'||(LA41_26>='#' && LA41_26<='\'')||LA41_26=='+'||LA41_26==';'||LA41_26=='\\'||LA41_26=='^'||LA41_26=='`'||LA41_26=='|'||(LA41_26>='~' && LA41_26<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 74;

                         
                        input.seek(index41_26);
                        if ( s>=0 ) return s;
                        break;
                    case 3 : 
                        int LA41_60 = input.LA(1);

                         
                        int index41_60 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_60==':') ) {s = 57;}

                        else if ( (LA41_60=='?') ) {s = 59;}

                        else if ( (LA41_60=='/'||LA41_60=='@') ) {s = 42;}

                        else if ( ((LA41_60>='-' && LA41_60<='.')||(LA41_60>='0' && LA41_60<='9')||(LA41_60>='A' && LA41_60<='Z')||LA41_60=='_'||(LA41_60>='a' && LA41_60<='z')) ) {s = 60;}

                        else if ( ((LA41_60>='\u0000' && LA41_60<='\b')||LA41_60=='\u000B'||(LA41_60>='\u000E' && LA41_60<='\u001F')||LA41_60=='!'||(LA41_60>='#' && LA41_60<='\'')||LA41_60=='+'||LA41_60==';'||LA41_60=='\\'||LA41_60=='^'||LA41_60=='`'||LA41_60=='|'||(LA41_60>='~' && LA41_60<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 92;

                         
                        input.seek(index41_60);
                        if ( s>=0 ) return s;
                        break;
                    case 4 : 
                        int LA41_12 = input.LA(1);

                         
                        int index41_12 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_12==':') ) {s = 57;}

                        else if ( (LA41_12=='?') ) {s = 59;}

                        else if ( (LA41_12=='/'||LA41_12=='@') ) {s = 42;}

                        else if ( ((LA41_12>='-' && LA41_12<='.')||(LA41_12>='0' && LA41_12<='9')||(LA41_12>='A' && LA41_12<='Z')||LA41_12=='_'||(LA41_12>='a' && LA41_12<='z')) ) {s = 60;}

                        else if ( ((LA41_12>='\u0000' && LA41_12<='\b')||LA41_12=='\u000B'||(LA41_12>='\u000E' && LA41_12<='\u001F')||LA41_12=='!'||(LA41_12>='#' && LA41_12<='\'')||LA41_12=='+'||LA41_12==';'||LA41_12=='\\'||LA41_12=='^'||LA41_12=='`'||LA41_12=='|'||(LA41_12>='~' && LA41_12<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 58;

                         
                        input.seek(index41_12);
                        if ( s>=0 ) return s;
                        break;
                    case 5 : 
                        int LA41_21 = input.LA(1);

                         
                        int index41_21 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA41_21>='\u0000' && LA41_21<='\b')||LA41_21=='\u000B'||(LA41_21>='\u000E' && LA41_21<='\u001F')||LA41_21=='!'||(LA41_21>='#' && LA41_21<='\'')||LA41_21=='+'||(LA41_21>='-' && LA41_21<='.')||(LA41_21>='0' && LA41_21<=';')||LA41_21=='?'||(LA41_21>='A' && LA41_21<='Z')||LA41_21=='\\'||(LA41_21>='^' && LA41_21<='z')||LA41_21=='|'||(LA41_21>='~' && LA41_21<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 63;

                         
                        input.seek(index41_21);
                        if ( s>=0 ) return s;
                        break;
                    case 6 : 
                        int LA41_52 = input.LA(1);

                         
                        int index41_52 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (getCharPositionInLine()==0) ) {s = 79;}

                        else if ( (true) ) {s = 80;}

                         
                        input.seek(index41_52);
                        if ( s>=0 ) return s;
                        break;
                    case 7 : 
                        int LA41_69 = input.LA(1);

                         
                        int index41_69 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_69=='p') ) {s = 103;}

                        else if ( (LA41_69==':') ) {s = 57;}

                        else if ( (LA41_69=='?') ) {s = 59;}

                        else if ( (LA41_69=='/'||LA41_69=='@') ) {s = 42;}

                        else if ( ((LA41_69>='-' && LA41_69<='.')||(LA41_69>='0' && LA41_69<='9')||(LA41_69>='A' && LA41_69<='Z')||LA41_69=='_'||(LA41_69>='a' && LA41_69<='o')||(LA41_69>='q' && LA41_69<='z')) ) {s = 60;}

                        else if ( ((LA41_69>='\u0000' && LA41_69<='\b')||LA41_69=='\u000B'||(LA41_69>='\u000E' && LA41_69<='\u001F')||LA41_69=='!'||(LA41_69>='#' && LA41_69<='\'')||LA41_69=='+'||LA41_69==';'||LA41_69=='\\'||LA41_69=='^'||LA41_69=='`'||LA41_69=='|'||(LA41_69>='~' && LA41_69<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 104;

                         
                        input.seek(index41_69);
                        if ( s>=0 ) return s;
                        break;
                    case 8 : 
                        int LA41_120 = input.LA(1);

                         
                        int index41_120 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_120==':') ) {s = 119;}

                        else if ( (LA41_120=='?') ) {s = 59;}

                        else if ( (LA41_120=='/'||LA41_120=='@') ) {s = 42;}

                        else if ( ((LA41_120>='-' && LA41_120<='.')||(LA41_120>='0' && LA41_120<='9')||(LA41_120>='A' && LA41_120<='Z')||LA41_120=='_'||(LA41_120>='a' && LA41_120<='z')) ) {s = 60;}

                        else if ( ((LA41_120>='\u0000' && LA41_120<='\b')||LA41_120=='\u000B'||(LA41_120>='\u000E' && LA41_120<='\u001F')||LA41_120=='!'||(LA41_120>='#' && LA41_120<='\'')||LA41_120=='+'||LA41_120==';'||LA41_120=='\\'||LA41_120=='^'||LA41_120=='`'||LA41_120=='|'||(LA41_120>='~' && LA41_120<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 130;

                         
                        input.seek(index41_120);
                        if ( s>=0 ) return s;
                        break;
                    case 9 : 
                        int LA41_119 = input.LA(1);

                         
                        int index41_119 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_119=='/') ) {s = 42;}

                        else if ( ((LA41_119>='0' && LA41_119<='9')) ) {s = 89;}

                        else if ( ((LA41_119>='\u0000' && LA41_119<='\b')||LA41_119=='\u000B'||(LA41_119>='\u000E' && LA41_119<='\u001F')||LA41_119=='!'||(LA41_119>='#' && LA41_119<='\'')||LA41_119=='+'||(LA41_119>='-' && LA41_119<='.')||(LA41_119>=':' && LA41_119<=';')||LA41_119=='?'||(LA41_119>='A' && LA41_119<='Z')||LA41_119=='\\'||(LA41_119>='^' && LA41_119<='z')||LA41_119=='|'||(LA41_119>='~' && LA41_119<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 88;

                         
                        input.seek(index41_119);
                        if ( s>=0 ) return s;
                        break;
                    case 10 : 
                        int LA41_45 = input.LA(1);

                         
                        int index41_45 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!(getCharPositionInLine() == 0)) ) {s = 44;}

                        else if ( (getCharPositionInLine() == 0) ) {s = 43;}

                         
                        input.seek(index41_45);
                        if ( s>=0 ) return s;
                        break;
                    case 11 : 
                        int LA41_11 = input.LA(1);

                         
                        int index41_11 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_11=='+') && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ||getCharPositionInLine()==0))) {s = 55;}

                        else if ( ((LA41_11>='\u0000' && LA41_11<='\b')||LA41_11=='\u000B'||(LA41_11>='\u000E' && LA41_11<='\u001F')||LA41_11=='!'||(LA41_11>='#' && LA41_11<='\'')||(LA41_11>='-' && LA41_11<='.')||(LA41_11>='0' && LA41_11<=';')||LA41_11=='?'||(LA41_11>='A' && LA41_11<='Z')||LA41_11=='\\'||(LA41_11>='^' && LA41_11<='z')||LA41_11=='|'||(LA41_11>='~' && LA41_11<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 56;

                         
                        input.seek(index41_11);
                        if ( s>=0 ) return s;
                        break;
                    case 12 : 
                        int LA41_139 = input.LA(1);

                         
                        int index41_139 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_139);
                        if ( s>=0 ) return s;
                        break;
                    case 13 : 
                        int LA41_137 = input.LA(1);

                         
                        int index41_137 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_137);
                        if ( s>=0 ) return s;
                        break;
                    case 14 : 
                        int LA41_136 = input.LA(1);

                         
                        int index41_136 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_136);
                        if ( s>=0 ) return s;
                        break;
                    case 15 : 
                        int LA41_134 = input.LA(1);

                         
                        int index41_134 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_134);
                        if ( s>=0 ) return s;
                        break;
                    case 16 : 
                        int LA41_132 = input.LA(1);

                         
                        int index41_132 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_132);
                        if ( s>=0 ) return s;
                        break;
                    case 17 : 
                        int LA41_130 = input.LA(1);

                         
                        int index41_130 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_130);
                        if ( s>=0 ) return s;
                        break;
                    case 18 : 
                        int LA41_129 = input.LA(1);

                         
                        int index41_129 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_129);
                        if ( s>=0 ) return s;
                        break;
                    case 19 : 
                        int LA41_123 = input.LA(1);

                         
                        int index41_123 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_123);
                        if ( s>=0 ) return s;
                        break;
                    case 20 : 
                        int LA41_121 = input.LA(1);

                         
                        int index41_121 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_121);
                        if ( s>=0 ) return s;
                        break;
                    case 21 : 
                        int LA41_118 = input.LA(1);

                         
                        int index41_118 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_118);
                        if ( s>=0 ) return s;
                        break;
                    case 22 : 
                        int LA41_117 = input.LA(1);

                         
                        int index41_117 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_117);
                        if ( s>=0 ) return s;
                        break;
                    case 23 : 
                        int LA41_114 = input.LA(1);

                         
                        int index41_114 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_114);
                        if ( s>=0 ) return s;
                        break;
                    case 24 : 
                        int LA41_112 = input.LA(1);

                         
                        int index41_112 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_112);
                        if ( s>=0 ) return s;
                        break;
                    case 25 : 
                        int LA41_111 = input.LA(1);

                         
                        int index41_111 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_111);
                        if ( s>=0 ) return s;
                        break;
                    case 26 : 
                        int LA41_108 = input.LA(1);

                         
                        int index41_108 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_108);
                        if ( s>=0 ) return s;
                        break;
                    case 27 : 
                        int LA41_106 = input.LA(1);

                         
                        int index41_106 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_106);
                        if ( s>=0 ) return s;
                        break;
                    case 28 : 
                        int LA41_104 = input.LA(1);

                         
                        int index41_104 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_104);
                        if ( s>=0 ) return s;
                        break;
                    case 29 : 
                        int LA41_102 = input.LA(1);

                         
                        int index41_102 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_102);
                        if ( s>=0 ) return s;
                        break;
                    case 30 : 
                        int LA41_101 = input.LA(1);

                         
                        int index41_101 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_101=='p') ) {s = 116;}

                        else if ( (LA41_101==':') ) {s = 57;}

                        else if ( (LA41_101=='?') ) {s = 59;}

                        else if ( (LA41_101=='/'||LA41_101=='@') ) {s = 42;}

                        else if ( ((LA41_101>='-' && LA41_101<='.')||(LA41_101>='0' && LA41_101<='9')||(LA41_101>='A' && LA41_101<='Z')||LA41_101=='_'||(LA41_101>='a' && LA41_101<='o')||(LA41_101>='q' && LA41_101<='z')) ) {s = 60;}

                        else if ( ((LA41_101>='\u0000' && LA41_101<='\b')||LA41_101=='\u000B'||(LA41_101>='\u000E' && LA41_101<='\u001F')||LA41_101=='!'||(LA41_101>='#' && LA41_101<='\'')||LA41_101=='+'||LA41_101==';'||LA41_101=='\\'||LA41_101=='^'||LA41_101=='`'||LA41_101=='|'||(LA41_101>='~' && LA41_101<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 117;

                         
                        input.seek(index41_101);
                        if ( s>=0 ) return s;
                        break;
                    case 31 : 
                        int LA41_100 = input.LA(1);

                         
                        int index41_100 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_100);
                        if ( s>=0 ) return s;
                        break;
                    case 32 : 
                        int LA41_97 = input.LA(1);

                         
                        int index41_97 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_97);
                        if ( s>=0 ) return s;
                        break;
                    case 33 : 
                        int LA41_56 = input.LA(1);

                         
                        int index41_56 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (getCharPositionInLine()==0) ) {s = 87;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 43;}

                         
                        input.seek(index41_56);
                        if ( s>=0 ) return s;
                        break;
                    case 34 : 
                        int LA41_65 = input.LA(1);

                         
                        int index41_65 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_65);
                        if ( s>=0 ) return s;
                        break;
                    case 35 : 
                        int LA41_68 = input.LA(1);

                         
                        int index41_68 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_68);
                        if ( s>=0 ) return s;
                        break;
                    case 36 : 
                        int LA41_70 = input.LA(1);

                         
                        int index41_70 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_70);
                        if ( s>=0 ) return s;
                        break;
                    case 37 : 
                        int LA41_72 = input.LA(1);

                         
                        int index41_72 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_72);
                        if ( s>=0 ) return s;
                        break;
                    case 38 : 
                        int LA41_74 = input.LA(1);

                         
                        int index41_74 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_74);
                        if ( s>=0 ) return s;
                        break;
                    case 39 : 
                        int LA41_75 = input.LA(1);

                         
                        int index41_75 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_75);
                        if ( s>=0 ) return s;
                        break;
                    case 40 : 
                        int LA41_91 = input.LA(1);

                         
                        int index41_91 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_91);
                        if ( s>=0 ) return s;
                        break;
                    case 41 : 
                        int LA41_92 = input.LA(1);

                         
                        int index41_92 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 42;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_92);
                        if ( s>=0 ) return s;
                        break;
                    case 42 : 
                        int LA41_36 = input.LA(1);

                         
                        int index41_36 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 76;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 43;}

                         
                        input.seek(index41_36);
                        if ( s>=0 ) return s;
                        break;
                    case 43 : 
                        int LA41_8 = input.LA(1);

                         
                        int index41_8 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA41_8>='\u0000' && LA41_8<='\b')||LA41_8=='\u000B'||(LA41_8>='\u000E' && LA41_8<='\u001F')||LA41_8=='!'||(LA41_8>='#' && LA41_8<='\'')||LA41_8=='+'||(LA41_8>='-' && LA41_8<='.')||(LA41_8>='0' && LA41_8<=';')||LA41_8=='?'||(LA41_8>='A' && LA41_8<='Z')||LA41_8=='\\'||(LA41_8>='^' && LA41_8<='z')||LA41_8=='|'||(LA41_8>='~' && LA41_8<='\uFFFE')) && (getCharPositionInLine() == 0)) {s = 43;}

                        else if ( (LA41_8=='\t'||LA41_8=='\f'||LA41_8==' ') ) {s = 50;}

                        else s = 49;

                         
                        input.seek(index41_8);
                        if ( s>=0 ) return s;
                        break;
                    case 44 : 
                        int LA41_22 = input.LA(1);

                         
                        int index41_22 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA41_22>='a' && LA41_22<='z')) ) {s = 64;}

                        else if ( ((LA41_22>='A' && LA41_22<='Z')) ) {s = 66;}

                        else if ( (LA41_22==':') ) {s = 57;}

                        else if ( (LA41_22=='?') ) {s = 59;}

                        else if ( (LA41_22=='/'||LA41_22=='@') ) {s = 42;}

                        else if ( ((LA41_22>='-' && LA41_22<='.')||(LA41_22>='0' && LA41_22<='9')||LA41_22=='_') ) {s = 60;}

                        else if ( ((LA41_22>='\u0000' && LA41_22<='\b')||LA41_22=='\u000B'||(LA41_22>='\u000E' && LA41_22<='\u001F')||LA41_22=='!'||(LA41_22>='#' && LA41_22<='\'')||LA41_22=='+'||LA41_22==';'||LA41_22=='\\'||LA41_22=='^'||LA41_22=='`'||LA41_22=='|'||(LA41_22>='~' && LA41_22<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 65;

                         
                        input.seek(index41_22);
                        if ( s>=0 ) return s;
                        break;
                    case 45 : 
                        int LA41_0 = input.LA(1);

                         
                        int index41_0 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_0=='{') ) {s = 1;}

                        else if ( (LA41_0=='\"') ) {s = 2;}

                        else if ( (LA41_0=='!') ) {s = 3;}

                        else if ( (LA41_0=='/') ) {s = 4;}

                        else if ( (LA41_0=='\r') ) {s = 5;}

                        else if ( (LA41_0=='\n') ) {s = 6;}

                        else if ( (LA41_0=='<') ) {s = 7;}

                        else if ( (LA41_0=='\t'||LA41_0=='\f'||LA41_0==' ') ) {s = 8;}

                        else if ( (LA41_0=='=') ) {s = 9;}

                        else if ( (LA41_0=='*') ) {s = 10;}

                        else if ( (LA41_0=='+') && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ||getCharPositionInLine()==0))) {s = 11;}

                        else if ( (LA41_0=='.') ) {s = 12;}

                        else if ( (LA41_0=='(') ) {s = 13;}

                        else if ( (LA41_0==')') ) {s = 14;}

                        else if ( (LA41_0=='[') ) {s = 15;}

                        else if ( (LA41_0==']') ) {s = 16;}

                        else if ( (LA41_0=='}') ) {s = 17;}

                        else if ( (LA41_0=='>') ) {s = 18;}

                        else if ( (LA41_0=='@') ) {s = 19;}

                        else if ( (LA41_0==',') ) {s = 20;}

                        else if ( (LA41_0==':') ) {s = 21;}

                        else if ( ((LA41_0>='A' && LA41_0<='Z')) ) {s = 22;}

                        else if ( (LA41_0=='h') ) {s = 23;}

                        else if ( (LA41_0=='f') ) {s = 24;}

                        else if ( (LA41_0=='s') ) {s = 25;}

                        else if ( (LA41_0=='r') ) {s = 26;}

                        else if ( (LA41_0=='-'||(LA41_0>='0' && LA41_0<='9')||LA41_0=='_'||(LA41_0>='a' && LA41_0<='e')||LA41_0=='g'||(LA41_0>='i' && LA41_0<='q')||(LA41_0>='t' && LA41_0<='z')) ) {s = 27;}

                        else if ( ((LA41_0>='\u0000' && LA41_0<='\b')||LA41_0=='\u000B'||(LA41_0>='\u000E' && LA41_0<='\u001F')||(LA41_0>='#' && LA41_0<='\'')||LA41_0==';'||LA41_0=='?'||LA41_0=='\\'||LA41_0=='^'||LA41_0=='`'||LA41_0=='|'||(LA41_0>='~' && LA41_0<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 28;}

                         
                        input.seek(index41_0);
                        if ( s>=0 ) return s;
                        break;
                    case 46 : 
                        int LA41_128 = input.LA(1);

                         
                        int index41_128 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_128==':') ) {s = 119;}

                        else if ( (LA41_128=='?') ) {s = 59;}

                        else if ( (LA41_128=='/'||LA41_128=='@') ) {s = 42;}

                        else if ( ((LA41_128>='-' && LA41_128<='.')||(LA41_128>='0' && LA41_128<='9')||(LA41_128>='A' && LA41_128<='Z')||LA41_128=='_'||(LA41_128>='a' && LA41_128<='z')) ) {s = 60;}

                        else if ( ((LA41_128>='\u0000' && LA41_128<='\b')||LA41_128=='\u000B'||(LA41_128>='\u000E' && LA41_128<='\u001F')||LA41_128=='!'||(LA41_128>='#' && LA41_128<='\'')||LA41_128=='+'||LA41_128==';'||LA41_128=='\\'||LA41_128=='^'||LA41_128=='`'||LA41_128=='|'||(LA41_128>='~' && LA41_128<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 136;

                         
                        input.seek(index41_128);
                        if ( s>=0 ) return s;
                        break;
                    case 47 : 
                        int LA41_127 = input.LA(1);

                         
                        int index41_127 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA41_127>='a' && LA41_127<='z')) ) {s = 135;}

                        else if ( ((LA41_127>='A' && LA41_127<='Z')) ) {s = 127;}

                        else if ( (LA41_127==':') ) {s = 57;}

                        else if ( (LA41_127=='?') ) {s = 59;}

                        else if ( (LA41_127=='/'||LA41_127=='@') ) {s = 42;}

                        else if ( ((LA41_127>='-' && LA41_127<='.')||(LA41_127>='0' && LA41_127<='9')||LA41_127=='_') ) {s = 60;}

                        else if ( ((LA41_127>='\u0000' && LA41_127<='\b')||LA41_127=='\u000B'||(LA41_127>='\u000E' && LA41_127<='\u001F')||LA41_127=='!'||(LA41_127>='#' && LA41_127<='\'')||LA41_127=='+'||LA41_127==';'||LA41_127=='\\'||LA41_127=='^'||LA41_127=='`'||LA41_127=='|'||(LA41_127>='~' && LA41_127<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 134;

                         
                        input.seek(index41_127);
                        if ( s>=0 ) return s;
                        break;
                    case 48 : 
                        int LA41_3 = input.LA(1);

                         
                        int index41_3 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA41_3>='-' && LA41_3<='9')||(LA41_3>='A' && LA41_3<='Z')||LA41_3=='_'||(LA41_3>='a' && LA41_3<='z')) ) {s = 35;}

                        else if ( ((LA41_3>='\u0000' && LA41_3<='\b')||LA41_3=='\u000B'||(LA41_3>='\u000E' && LA41_3<='\u001F')||LA41_3=='!'||(LA41_3>='#' && LA41_3<='\'')||LA41_3=='+'||(LA41_3>=':' && LA41_3<=';')||LA41_3=='?'||LA41_3=='\\'||LA41_3=='^'||LA41_3=='`'||LA41_3=='|'||(LA41_3>='~' && LA41_3<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else if ( (LA41_3=='@') ) {s = 38;}

                        else s = 36;

                         
                        input.seek(index41_3);
                        if ( s>=0 ) return s;
                        break;
                    case 49 : 
                        int LA41_6 = input.LA(1);

                         
                        int index41_6 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA41_6>='\u0000' && LA41_6<='\b')||LA41_6=='\u000B'||(LA41_6>='\u000E' && LA41_6<='\u001F')||LA41_6=='!'||(LA41_6>='#' && LA41_6<='\'')||LA41_6=='+'||(LA41_6>='-' && LA41_6<='.')||(LA41_6>='0' && LA41_6<=';')||LA41_6=='?'||(LA41_6>='A' && LA41_6<='Z')||LA41_6=='\\'||(LA41_6>='^' && LA41_6<='z')||LA41_6=='|'||(LA41_6>='~' && LA41_6<='\uFFFE')) && (getCharPositionInLine() == 0)) {s = 43;}

                        else s = 45;

                         
                        input.seek(index41_6);
                        if ( s>=0 ) return s;
                        break;
                    case 50 : 
                        int LA41_4 = input.LA(1);

                         
                        int index41_4 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_4=='*') ) {s = 39;}

                        else if ( (LA41_4=='/') && (getCharPositionInLine()==0)) {s = 40;}

                        else if ( ((LA41_4>='-' && LA41_4<='.')||(LA41_4>='0' && LA41_4<='9')||(LA41_4>='@' && LA41_4<='Z')||LA41_4=='_'||(LA41_4>='a' && LA41_4<='z')) ) {s = 42;}

                        else s = 41;

                         
                        input.seek(index41_4);
                        if ( s>=0 ) return s;
                        break;
                    case 51 : 
                        int LA41_89 = input.LA(1);

                         
                        int index41_89 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_89=='?') ) {s = 59;}

                        else if ( (LA41_89=='/') ) {s = 42;}

                        else if ( ((LA41_89>='0' && LA41_89<='9')) ) {s = 89;}

                        else if ( ((LA41_89>='\u0000' && LA41_89<='\b')||LA41_89=='\u000B'||(LA41_89>='\u000E' && LA41_89<='\u001F')||LA41_89=='!'||(LA41_89>='#' && LA41_89<='\'')||LA41_89=='+'||(LA41_89>='-' && LA41_89<='.')||(LA41_89>=':' && LA41_89<=';')||(LA41_89>='A' && LA41_89<='Z')||LA41_89=='\\'||(LA41_89>='^' && LA41_89<='z')||LA41_89=='|'||(LA41_89>='~' && LA41_89<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 111;

                         
                        input.seek(index41_89);
                        if ( s>=0 ) return s;
                        break;
                    case 52 : 
                        int LA41_85 = input.LA(1);

                         
                        int index41_85 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA41_85>='\u0000' && LA41_85<='\b')||LA41_85=='\u000B'||(LA41_85>='\u000E' && LA41_85<='\u001F')||LA41_85=='!'||(LA41_85>='#' && LA41_85<='\'')||LA41_85=='+'||(LA41_85>='-' && LA41_85<='.')||(LA41_85>='0' && LA41_85<=';')||LA41_85=='?'||(LA41_85>='A' && LA41_85<='Z')||LA41_85=='\\'||(LA41_85>='^' && LA41_85<='z')||LA41_85=='|'||(LA41_85>='~' && LA41_85<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 109;

                         
                        input.seek(index41_85);
                        if ( s>=0 ) return s;
                        break;
                    case 53 : 
                        int LA41_55 = input.LA(1);

                         
                        int index41_55 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_55=='+') && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ||getCharPositionInLine()==0))) {s = 85;}

                        else if ( ((LA41_55>='\u0000' && LA41_55<='\b')||LA41_55=='\u000B'||(LA41_55>='\u000E' && LA41_55<='\u001F')||LA41_55=='!'||(LA41_55>='#' && LA41_55<='\'')||(LA41_55>='-' && LA41_55<='.')||(LA41_55>='0' && LA41_55<=';')||LA41_55=='?'||(LA41_55>='A' && LA41_55<='Z')||LA41_55=='\\'||(LA41_55>='^' && LA41_55<='z')||LA41_55=='|'||(LA41_55>='~' && LA41_55<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 86;

                         
                        input.seek(index41_55);
                        if ( s>=0 ) return s;
                        break;
                    case 54 : 
                        int LA41_90 = input.LA(1);

                         
                        int index41_90 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_90=='%'||(LA41_90>='-' && LA41_90<='.')||(LA41_90>='0' && LA41_90<='9')||(LA41_90>='A' && LA41_90<='Z')||LA41_90=='_'||(LA41_90>='a' && LA41_90<='z')) ) {s = 90;}

                        else if ( (LA41_90=='='||LA41_90=='@') ) {s = 42;}

                        else if ( ((LA41_90>='\u0000' && LA41_90<='\b')||LA41_90=='\u000B'||(LA41_90>='\u000E' && LA41_90<='\u001F')||LA41_90=='!'||(LA41_90>='#' && LA41_90<='$')||(LA41_90>='&' && LA41_90<='\'')||LA41_90=='+'||(LA41_90>=':' && LA41_90<=';')||LA41_90=='?'||LA41_90=='\\'||LA41_90=='^'||LA41_90=='`'||LA41_90=='|'||(LA41_90>='~' && LA41_90<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 112;

                         
                        input.seek(index41_90);
                        if ( s>=0 ) return s;
                        break;
                    case 55 : 
                        int LA41_24 = input.LA(1);

                         
                        int index41_24 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_24=='t') ) {s = 69;}

                        else if ( (LA41_24==':') ) {s = 57;}

                        else if ( (LA41_24=='?') ) {s = 59;}

                        else if ( (LA41_24=='/'||LA41_24=='@') ) {s = 42;}

                        else if ( ((LA41_24>='-' && LA41_24<='.')||(LA41_24>='0' && LA41_24<='9')||(LA41_24>='A' && LA41_24<='Z')||LA41_24=='_'||(LA41_24>='a' && LA41_24<='s')||(LA41_24>='u' && LA41_24<='z')) ) {s = 60;}

                        else if ( ((LA41_24>='\u0000' && LA41_24<='\b')||LA41_24=='\u000B'||(LA41_24>='\u000E' && LA41_24<='\u001F')||LA41_24=='!'||(LA41_24>='#' && LA41_24<='\'')||LA41_24=='+'||LA41_24==';'||LA41_24=='\\'||LA41_24=='^'||LA41_24=='`'||LA41_24=='|'||(LA41_24>='~' && LA41_24<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 70;

                         
                        input.seek(index41_24);
                        if ( s>=0 ) return s;
                        break;
                    case 56 : 
                        int LA41_53 = input.LA(1);

                         
                        int index41_53 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_53=='*') && (getCharPositionInLine()==0)) {s = 81;}

                        else s = 82;

                         
                        input.seek(index41_53);
                        if ( s>=0 ) return s;
                        break;
                    case 57 : 
                        int LA41_59 = input.LA(1);

                         
                        int index41_59 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_59=='%'||(LA41_59>='-' && LA41_59<='.')||(LA41_59>='0' && LA41_59<='9')||(LA41_59>='A' && LA41_59<='Z')||LA41_59=='_'||(LA41_59>='a' && LA41_59<='z')) ) {s = 90;}

                        else if ( (LA41_59=='='||LA41_59=='@') ) {s = 42;}

                        else if ( ((LA41_59>='\u0000' && LA41_59<='\b')||LA41_59=='\u000B'||(LA41_59>='\u000E' && LA41_59<='\u001F')||LA41_59=='!'||(LA41_59>='#' && LA41_59<='$')||(LA41_59>='&' && LA41_59<='\'')||LA41_59=='+'||(LA41_59>=':' && LA41_59<=';')||LA41_59=='?'||LA41_59=='\\'||LA41_59=='^'||LA41_59=='`'||LA41_59=='|'||(LA41_59>='~' && LA41_59<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 91;

                         
                        input.seek(index41_59);
                        if ( s>=0 ) return s;
                        break;
                    case 58 : 
                        int LA41_10 = input.LA(1);

                         
                        int index41_10 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_10=='*') && (getCharPositionInLine()==0)) {s = 53;}

                        else s = 54;

                         
                        input.seek(index41_10);
                        if ( s>=0 ) return s;
                        break;
                    case 59 : 
                        int LA41_64 = input.LA(1);

                         
                        int index41_64 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_64==':') ) {s = 57;}

                        else if ( (LA41_64=='?') ) {s = 59;}

                        else if ( (LA41_64=='/') ) {s = 98;}

                        else if ( ((LA41_64>='A' && LA41_64<='Z')) ) {s = 99;}

                        else if ( ((LA41_64>='\u0000' && LA41_64<='\b')||LA41_64=='\u000B'||(LA41_64>='\u000E' && LA41_64<='\u001F')||LA41_64=='!'||(LA41_64>='#' && LA41_64<='\'')||LA41_64=='+'||LA41_64==';'||LA41_64=='\\'||LA41_64=='^'||LA41_64=='`'||LA41_64=='|'||(LA41_64>='~' && LA41_64<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else if ( (LA41_64=='@') ) {s = 42;}

                        else if ( ((LA41_64>='a' && LA41_64<='z')) ) {s = 64;}

                        else if ( ((LA41_64>='-' && LA41_64<='.')||(LA41_64>='0' && LA41_64<='9')||LA41_64=='_') ) {s = 60;}

                        else s = 97;

                         
                        input.seek(index41_64);
                        if ( s>=0 ) return s;
                        break;
                    case 60 : 
                        int LA41_103 = input.LA(1);

                         
                        int index41_103 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_103==':') ) {s = 119;}

                        else if ( (LA41_103=='?') ) {s = 59;}

                        else if ( (LA41_103=='/'||LA41_103=='@') ) {s = 42;}

                        else if ( ((LA41_103>='-' && LA41_103<='.')||(LA41_103>='0' && LA41_103<='9')||(LA41_103>='A' && LA41_103<='Z')||LA41_103=='_'||(LA41_103>='a' && LA41_103<='z')) ) {s = 60;}

                        else if ( ((LA41_103>='\u0000' && LA41_103<='\b')||LA41_103=='\u000B'||(LA41_103>='\u000E' && LA41_103<='\u001F')||LA41_103=='!'||(LA41_103>='#' && LA41_103<='\'')||LA41_103=='+'||LA41_103==';'||LA41_103=='\\'||LA41_103=='^'||LA41_103=='`'||LA41_103=='|'||(LA41_103>='~' && LA41_103<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 118;

                         
                        input.seek(index41_103);
                        if ( s>=0 ) return s;
                        break;
                    case 61 : 
                        int LA41_25 = input.LA(1);

                         
                        int index41_25 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_25=='f') ) {s = 71;}

                        else if ( (LA41_25==':') ) {s = 57;}

                        else if ( (LA41_25=='?') ) {s = 59;}

                        else if ( (LA41_25=='/'||LA41_25=='@') ) {s = 42;}

                        else if ( ((LA41_25>='-' && LA41_25<='.')||(LA41_25>='0' && LA41_25<='9')||(LA41_25>='A' && LA41_25<='Z')||LA41_25=='_'||(LA41_25>='a' && LA41_25<='e')||(LA41_25>='g' && LA41_25<='z')) ) {s = 60;}

                        else if ( ((LA41_25>='\u0000' && LA41_25<='\b')||LA41_25=='\u000B'||(LA41_25>='\u000E' && LA41_25<='\u001F')||LA41_25=='!'||(LA41_25>='#' && LA41_25<='\'')||LA41_25=='+'||LA41_25==';'||LA41_25=='\\'||LA41_25=='^'||LA41_25=='`'||LA41_25=='|'||(LA41_25>='~' && LA41_25<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 72;

                         
                        input.seek(index41_25);
                        if ( s>=0 ) return s;
                        break;
                    case 62 : 
                        int LA41_71 = input.LA(1);

                         
                        int index41_71 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_71=='t') ) {s = 105;}

                        else if ( (LA41_71==':') ) {s = 57;}

                        else if ( (LA41_71=='?') ) {s = 59;}

                        else if ( (LA41_71=='/'||LA41_71=='@') ) {s = 42;}

                        else if ( ((LA41_71>='-' && LA41_71<='.')||(LA41_71>='0' && LA41_71<='9')||(LA41_71>='A' && LA41_71<='Z')||LA41_71=='_'||(LA41_71>='a' && LA41_71<='s')||(LA41_71>='u' && LA41_71<='z')) ) {s = 60;}

                        else if ( ((LA41_71>='\u0000' && LA41_71<='\b')||LA41_71=='\u000B'||(LA41_71>='\u000E' && LA41_71<='\u001F')||LA41_71=='!'||(LA41_71>='#' && LA41_71<='\'')||LA41_71=='+'||LA41_71==';'||LA41_71=='\\'||LA41_71=='^'||LA41_71=='`'||LA41_71=='|'||(LA41_71>='~' && LA41_71<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 106;

                         
                        input.seek(index41_71);
                        if ( s>=0 ) return s;
                        break;
                    case 63 : 
                        int LA41_116 = input.LA(1);

                         
                        int index41_116 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_116=='s') ) {s = 128;}

                        else if ( (LA41_116==':') ) {s = 119;}

                        else if ( (LA41_116=='?') ) {s = 59;}

                        else if ( (LA41_116=='/'||LA41_116=='@') ) {s = 42;}

                        else if ( ((LA41_116>='-' && LA41_116<='.')||(LA41_116>='0' && LA41_116<='9')||(LA41_116>='A' && LA41_116<='Z')||LA41_116=='_'||(LA41_116>='a' && LA41_116<='r')||(LA41_116>='t' && LA41_116<='z')) ) {s = 60;}

                        else if ( ((LA41_116>='\u0000' && LA41_116<='\b')||LA41_116=='\u000B'||(LA41_116>='\u000E' && LA41_116<='\u001F')||LA41_116=='!'||(LA41_116>='#' && LA41_116<='\'')||LA41_116=='+'||LA41_116==';'||LA41_116=='\\'||LA41_116=='^'||LA41_116=='`'||LA41_116=='|'||(LA41_116>='~' && LA41_116<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 129;

                         
                        input.seek(index41_116);
                        if ( s>=0 ) return s;
                        break;
                    case 64 : 
                        int LA41_107 = input.LA(1);

                         
                        int index41_107 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_107=='n') ) {s = 122;}

                        else if ( (LA41_107==':') ) {s = 57;}

                        else if ( (LA41_107=='?') ) {s = 59;}

                        else if ( (LA41_107=='/'||LA41_107=='@') ) {s = 42;}

                        else if ( ((LA41_107>='-' && LA41_107<='.')||(LA41_107>='0' && LA41_107<='9')||(LA41_107>='A' && LA41_107<='Z')||LA41_107=='_'||(LA41_107>='a' && LA41_107<='m')||(LA41_107>='o' && LA41_107<='z')) ) {s = 60;}

                        else if ( ((LA41_107>='\u0000' && LA41_107<='\b')||LA41_107=='\u000B'||(LA41_107>='\u000E' && LA41_107<='\u001F')||LA41_107=='!'||(LA41_107>='#' && LA41_107<='\'')||LA41_107=='+'||LA41_107==';'||LA41_107=='\\'||LA41_107=='^'||LA41_107=='`'||LA41_107=='|'||(LA41_107>='~' && LA41_107<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 123;

                         
                        input.seek(index41_107);
                        if ( s>=0 ) return s;
                        break;
                    case 65 : 
                        int LA41_73 = input.LA(1);

                         
                        int index41_73 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_73=='y') ) {s = 107;}

                        else if ( (LA41_73==':') ) {s = 57;}

                        else if ( (LA41_73=='?') ) {s = 59;}

                        else if ( (LA41_73=='/'||LA41_73=='@') ) {s = 42;}

                        else if ( ((LA41_73>='-' && LA41_73<='.')||(LA41_73>='0' && LA41_73<='9')||(LA41_73>='A' && LA41_73<='Z')||LA41_73=='_'||(LA41_73>='a' && LA41_73<='x')||LA41_73=='z') ) {s = 60;}

                        else if ( ((LA41_73>='\u0000' && LA41_73<='\b')||LA41_73=='\u000B'||(LA41_73>='\u000E' && LA41_73<='\u001F')||LA41_73=='!'||(LA41_73>='#' && LA41_73<='\'')||LA41_73=='+'||LA41_73==';'||LA41_73=='\\'||LA41_73=='^'||LA41_73=='`'||LA41_73=='|'||(LA41_73>='~' && LA41_73<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 108;

                         
                        input.seek(index41_73);
                        if ( s>=0 ) return s;
                        break;
                    case 66 : 
                        int LA41_27 = input.LA(1);

                         
                        int index41_27 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_27==':') ) {s = 57;}

                        else if ( (LA41_27=='?') ) {s = 59;}

                        else if ( (LA41_27=='/'||LA41_27=='@') ) {s = 42;}

                        else if ( ((LA41_27>='-' && LA41_27<='.')||(LA41_27>='0' && LA41_27<='9')||(LA41_27>='A' && LA41_27<='Z')||LA41_27=='_'||(LA41_27>='a' && LA41_27<='z')) ) {s = 60;}

                        else if ( ((LA41_27>='\u0000' && LA41_27<='\b')||LA41_27=='\u000B'||(LA41_27>='\u000E' && LA41_27<='\u001F')||LA41_27=='!'||(LA41_27>='#' && LA41_27<='\'')||LA41_27=='+'||LA41_27==';'||LA41_27=='\\'||LA41_27=='^'||LA41_27=='`'||LA41_27=='|'||(LA41_27>='~' && LA41_27<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 75;

                         
                        input.seek(index41_27);
                        if ( s>=0 ) return s;
                        break;
                    case 67 : 
                        int LA41_109 = input.LA(1);

                         
                        int index41_109 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (getCharPositionInLine()==0) ) {s = 124;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_109);
                        if ( s>=0 ) return s;
                        break;
                    case 68 : 
                        int LA41_63 = input.LA(1);

                         
                        int index41_63 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) ) {s = 96;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_63);
                        if ( s>=0 ) return s;
                        break;
                    case 69 : 
                        int LA41_122 = input.LA(1);

                         
                        int index41_122 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_122=='c') ) {s = 131;}

                        else if ( (LA41_122==':') ) {s = 57;}

                        else if ( (LA41_122=='?') ) {s = 59;}

                        else if ( (LA41_122=='/'||LA41_122=='@') ) {s = 42;}

                        else if ( ((LA41_122>='-' && LA41_122<='.')||(LA41_122>='0' && LA41_122<='9')||(LA41_122>='A' && LA41_122<='Z')||LA41_122=='_'||(LA41_122>='a' && LA41_122<='b')||(LA41_122>='d' && LA41_122<='z')) ) {s = 60;}

                        else if ( ((LA41_122>='\u0000' && LA41_122<='\b')||LA41_122=='\u000B'||(LA41_122>='\u000E' && LA41_122<='\u001F')||LA41_122=='!'||(LA41_122>='#' && LA41_122<='\'')||LA41_122=='+'||LA41_122==';'||LA41_122=='\\'||LA41_122=='^'||LA41_122=='`'||LA41_122=='|'||(LA41_122>='~' && LA41_122<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 132;

                         
                        input.seek(index41_122);
                        if ( s>=0 ) return s;
                        break;
                    case 70 : 
                        int LA41_86 = input.LA(1);

                         
                        int index41_86 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (getCharPositionInLine()==0) ) {s = 110;}

                        else if ( ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 )) ) {s = 88;}

                         
                        input.seek(index41_86);
                        if ( s>=0 ) return s;
                        break;
                    case 71 : 
                        int LA41_5 = input.LA(1);

                         
                        int index41_5 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_5=='\n') ) {s = 44;}

                        else s = 43;

                         
                        input.seek(index41_5);
                        if ( s>=0 ) return s;
                        break;
                    case 72 : 
                        int LA41_105 = input.LA(1);

                         
                        int index41_105 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_105=='p') ) {s = 120;}

                        else if ( (LA41_105==':') ) {s = 57;}

                        else if ( (LA41_105=='?') ) {s = 59;}

                        else if ( (LA41_105=='/'||LA41_105=='@') ) {s = 42;}

                        else if ( ((LA41_105>='-' && LA41_105<='.')||(LA41_105>='0' && LA41_105<='9')||(LA41_105>='A' && LA41_105<='Z')||LA41_105=='_'||(LA41_105>='a' && LA41_105<='o')||(LA41_105>='q' && LA41_105<='z')) ) {s = 60;}

                        else if ( ((LA41_105>='\u0000' && LA41_105<='\b')||LA41_105=='\u000B'||(LA41_105>='\u000E' && LA41_105<='\u001F')||LA41_105=='!'||(LA41_105>='#' && LA41_105<='\'')||LA41_105=='+'||LA41_105==';'||LA41_105=='\\'||LA41_105=='^'||LA41_105=='`'||LA41_105=='|'||(LA41_105>='~' && LA41_105<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 121;

                         
                        input.seek(index41_105);
                        if ( s>=0 ) return s;
                        break;
                    case 73 : 
                        int LA41_23 = input.LA(1);

                         
                        int index41_23 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_23=='t') ) {s = 67;}

                        else if ( (LA41_23==':') ) {s = 57;}

                        else if ( (LA41_23=='?') ) {s = 59;}

                        else if ( (LA41_23=='/'||LA41_23=='@') ) {s = 42;}

                        else if ( ((LA41_23>='-' && LA41_23<='.')||(LA41_23>='0' && LA41_23<='9')||(LA41_23>='A' && LA41_23<='Z')||LA41_23=='_'||(LA41_23>='a' && LA41_23<='s')||(LA41_23>='u' && LA41_23<='z')) ) {s = 60;}

                        else if ( ((LA41_23>='\u0000' && LA41_23<='\b')||LA41_23=='\u000B'||(LA41_23>='\u000E' && LA41_23<='\u001F')||LA41_23=='!'||(LA41_23>='#' && LA41_23<='\'')||LA41_23=='+'||LA41_23==';'||LA41_23=='\\'||LA41_23=='^'||LA41_23=='`'||LA41_23=='|'||(LA41_23>='~' && LA41_23<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 68;

                         
                        input.seek(index41_23);
                        if ( s>=0 ) return s;
                        break;
                    case 74 : 
                        int LA41_99 = input.LA(1);

                         
                        int index41_99 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA41_99>='a' && LA41_99<='z')) ) {s = 115;}

                        else if ( ((LA41_99>='A' && LA41_99<='Z')) ) {s = 99;}

                        else if ( (LA41_99==':') ) {s = 57;}

                        else if ( (LA41_99=='?') ) {s = 59;}

                        else if ( (LA41_99=='/'||LA41_99=='@') ) {s = 42;}

                        else if ( ((LA41_99>='-' && LA41_99<='.')||(LA41_99>='0' && LA41_99<='9')||LA41_99=='_') ) {s = 60;}

                        else if ( ((LA41_99>='\u0000' && LA41_99<='\b')||LA41_99=='\u000B'||(LA41_99>='\u000E' && LA41_99<='\u001F')||LA41_99=='!'||(LA41_99>='#' && LA41_99<='\'')||LA41_99=='+'||LA41_99==';'||LA41_99=='\\'||LA41_99=='^'||LA41_99=='`'||LA41_99=='|'||(LA41_99>='~' && LA41_99<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 114;

                         
                        input.seek(index41_99);
                        if ( s>=0 ) return s;
                        break;
                    case 75 : 
                        int LA41_66 = input.LA(1);

                         
                        int index41_66 = input.index();
                        input.rewind();
                        s = -1;
                        if ( ((LA41_66>='a' && LA41_66<='z')) ) {s = 64;}

                        else if ( ((LA41_66>='A' && LA41_66<='Z')) ) {s = 66;}

                        else if ( (LA41_66==':') ) {s = 57;}

                        else if ( (LA41_66=='?') ) {s = 59;}

                        else if ( (LA41_66=='/'||LA41_66=='@') ) {s = 42;}

                        else if ( ((LA41_66>='-' && LA41_66<='.')||(LA41_66>='0' && LA41_66<='9')||LA41_66=='_') ) {s = 60;}

                        else if ( ((LA41_66>='\u0000' && LA41_66<='\b')||LA41_66=='\u000B'||(LA41_66>='\u000E' && LA41_66<='\u001F')||LA41_66=='!'||(LA41_66>='#' && LA41_66<='\'')||LA41_66=='+'||LA41_66==';'||LA41_66=='\\'||LA41_66=='^'||LA41_66=='`'||LA41_66=='|'||(LA41_66>='~' && LA41_66<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 100;

                         
                        input.seek(index41_66);
                        if ( s>=0 ) return s;
                        break;
                    case 76 : 
                        int LA41_67 = input.LA(1);

                         
                        int index41_67 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_67=='t') ) {s = 101;}

                        else if ( (LA41_67==':') ) {s = 57;}

                        else if ( (LA41_67=='?') ) {s = 59;}

                        else if ( (LA41_67=='/'||LA41_67=='@') ) {s = 42;}

                        else if ( ((LA41_67>='-' && LA41_67<='.')||(LA41_67>='0' && LA41_67<='9')||(LA41_67>='A' && LA41_67<='Z')||LA41_67=='_'||(LA41_67>='a' && LA41_67<='s')||(LA41_67>='u' && LA41_67<='z')) ) {s = 60;}

                        else if ( ((LA41_67>='\u0000' && LA41_67<='\b')||LA41_67=='\u000B'||(LA41_67>='\u000E' && LA41_67<='\u001F')||LA41_67=='!'||(LA41_67>='#' && LA41_67<='\'')||LA41_67=='+'||LA41_67==';'||LA41_67=='\\'||LA41_67=='^'||LA41_67=='`'||LA41_67=='|'||(LA41_67>='~' && LA41_67<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 102;

                         
                        input.seek(index41_67);
                        if ( s>=0 ) return s;
                        break;
                    case 77 : 
                        int LA41_135 = input.LA(1);

                         
                        int index41_135 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_135==':') ) {s = 57;}

                        else if ( (LA41_135=='?') ) {s = 59;}

                        else if ( (LA41_135=='/') ) {s = 98;}

                        else if ( ((LA41_135>='A' && LA41_135<='Z')) ) {s = 127;}

                        else if ( ((LA41_135>='\u0000' && LA41_135<='\b')||LA41_135=='\u000B'||(LA41_135>='\u000E' && LA41_135<='\u001F')||LA41_135=='!'||(LA41_135>='#' && LA41_135<='\'')||LA41_135=='+'||LA41_135==';'||LA41_135=='\\'||LA41_135=='^'||LA41_135=='`'||LA41_135=='|'||(LA41_135>='~' && LA41_135<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else if ( (LA41_135=='@') ) {s = 42;}

                        else if ( ((LA41_135>='a' && LA41_135<='z')) ) {s = 135;}

                        else if ( ((LA41_135>='-' && LA41_135<='.')||(LA41_135>='0' && LA41_135<='9')||LA41_135=='_') ) {s = 60;}

                        else s = 139;

                         
                        input.seek(index41_135);
                        if ( s>=0 ) return s;
                        break;
                    case 78 : 
                        int LA41_49 = input.LA(1);

                         
                        int index41_49 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (!(getCharPositionInLine() == 0)) ) {s = 50;}

                        else if ( (getCharPositionInLine() == 0) ) {s = 43;}

                         
                        input.seek(index41_49);
                        if ( s>=0 ) return s;
                        break;
                    case 79 : 
                        int LA41_131 = input.LA(1);

                         
                        int index41_131 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_131==':') ) {s = 119;}

                        else if ( (LA41_131=='?') ) {s = 59;}

                        else if ( (LA41_131=='/'||LA41_131=='@') ) {s = 42;}

                        else if ( ((LA41_131>='-' && LA41_131<='.')||(LA41_131>='0' && LA41_131<='9')||(LA41_131>='A' && LA41_131<='Z')||LA41_131=='_'||(LA41_131>='a' && LA41_131<='z')) ) {s = 60;}

                        else if ( ((LA41_131>='\u0000' && LA41_131<='\b')||LA41_131=='\u000B'||(LA41_131>='\u000E' && LA41_131<='\u001F')||LA41_131=='!'||(LA41_131>='#' && LA41_131<='\'')||LA41_131=='+'||LA41_131==';'||LA41_131=='\\'||LA41_131=='^'||LA41_131=='`'||LA41_131=='|'||(LA41_131>='~' && LA41_131<='\uFFFE')) && ((getCharPositionInLine() == 0||getCharPositionInLine() > 0 ))) {s = 37;}

                        else s = 137;

                         
                        input.seek(index41_131);
                        if ( s>=0 ) return s;
                        break;
                    case 80 : 
                        int LA41_9 = input.LA(1);

                         
                        int index41_9 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_9=='=') && (getCharPositionInLine()==0)) {s = 51;}

                        else s = 52;

                         
                        input.seek(index41_9);
                        if ( s>=0 ) return s;
                        break;
                    case 81 : 
                        int LA41_51 = input.LA(1);

                         
                        int index41_51 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (LA41_51=='=') && (getCharPositionInLine()==0)) {s = 77;}

                        else s = 78;

                         
                        input.seek(index41_51);
                        if ( s>=0 ) return s;
                        break;
                    case 82 : 
                        int LA41_54 = input.LA(1);

                         
                        int index41_54 = input.index();
                        input.rewind();
                        s = -1;
                        if ( (getCharPositionInLine()==0) ) {s = 83;}

                        else if ( (true) ) {s = 84;}

                         
                        input.seek(index41_54);
                        if ( s>=0 ) return s;
                        break;
            }
            if (backtracking>0) {failed=true; return -1;}
            NoViableAltException nvae =
                new NoViableAltException(getDescription(), 41, _s, input);
            error(nvae);
            throw nvae;
        }
    }
 

}